<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$room_table = $setting->get("room_table");

$result = "";
$allow = true;
$room = $_GET["u"];
if(!is_numeric($room) || $room == ""){
	$result = "Room not found";
	$allow = false;
}
/*if($_SESSION["visichat_access"]<>"1"){
	$result = "You don't have access to this page";
	$allow = false;
}*/

if($allow){
	$res = $db->run_query("select * from ".$room_table." where room_id=".$db->escape_string($room));
	if($db->get_num_rows($res)==0){
		$result = "Room not found";
		$allow = false;
	}else{
		$row = $db->fetch_assoc($res);
	}
	$db->free_result($res);
}
if($allow){
	if($_GET["ac"]=="up"){
		if($_SESSION["visichat_access"] == "1"){
			if($_POST["rname"]==""){
				$result = "Room name is required";
			}else{
				$rname = $_POST["rname"];
				$cap = $_POST["rcap"];
				if($cap<0){ $cap =0;}
				if($cap =="" || !is_numeric($cap)){
					$cap = 40;
				}
				if($_POST["public"]=="yes"){
					$public=1;
				}else{
					$public=0;
				}
				if($_POST["webcam"]=="yes"){
					$cam=1;
				}else{
					$cam=0;
				}
				if($_POST["voice"]=="yes"){
					$voice=1;
				}else{
					$voice=0;
				}
				if($_POST["draw"]=="yes"){
					$draw=1;
				}else{
					$draw=0;
				}
				if($_POST["picshare"]=="yes"){
					$picshare=1;
				}else{
					$picshare=0;
				}
				if($_POST["youtube"] == "yes"){
					$youtube = 1;	
				}else{
					$youtube = 0;	
				}
				if($_POST["premium"]=="yes"){$premium=1;}else{$premium=0;}
				if($_POST["adult"]=="yes"){
					$adult =1;
				}else{
					$adult =0;
				}
				$gender = 0;
				if($_POST["selGender"] == "1" || $_POST["selGender"] == "2"){
					$gender = $_POST["selGender"];	
				}
				$room_order =0;
				if($_POST["room_order"] != "" && is_numeric($_POST["room_order"])){
					$room_order = $_POST["room_order"];
				}
				$res = $db->run_query("select * from ".$room_table." where room_name='".$db->escape_string($rname)."' and room_id<>".$db->escape_string($room));
				if($db->get_num_rows($res)>0){
					$result = "This room name is already exists";
				}else{
					$db->run_query("update ".$room_table." set room_name='".$db->escape_string($rname)."',room_capacity=$cap,room_public=$public,room_cam=$cam,room_voice=$voice,room_draw=$draw,room_premium=$premium,room_adult=$adult,room_order=$room_order,room_upload=$picshare,room_youtube=$youtube,room_gender=$gender,room_key='".$db->escape_string($_POST["rkey"])."' where room_id=".$db->escape_string($room));
					$result = "Room updated successfully";
					$res = $db->run_query("select * from ".$room_table." where room_id=".$db->escape_string($room));
					$row = $db->fetch_assoc($res);
				}
			}
		}else{
			$result = "You don't have access to this function";
		}
	}
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gchats Visichat Admin Menu: Edit Room</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="rooms.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="rooms.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Rooms Adminstration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><br>
      <?php if($allow){?>
      <form name="form1" method="post" action="editroom.php?ac=up&u=<?php echo $room;?>" onSubmit="return check_confirm();">
        <table width="450" border="0" align="center" cellpadding="5" class="TextBlack12">
          <tr>
            <td width="50%" align="right" bgcolor="#FFFFFF">Room Name  : </td>
            <td bgcolor="#FFFFFF"><input name="rname" type="text" id="rname" value="<?php echo $row["room_name"];?>"></td>
          </tr>
          <tr>
            <td width="50%" align="right" bgcolor="#FFFFFF">Room Name  : </td>
            <td bgcolor="#FFFFFF"><input name="rkey" type="text" id="rkey" value="<?php echo $row["room_key"];?>"></td>
          </tr>          
          <tr>
            <td align="right" bgcolor="#FFFFFF">Capacity : </td>
            <td bgcolor="#FFFFFF"><input name="rcap" type="text" size="4" maxlength="4" value="<?php echo $row["room_capacity"];?>">
              <span class="Comments">(0 for unlimited)</span></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Room Order  : </td>
            <td bgcolor="#FFFFFF"><input name="room_order" type="text" size="4" maxlength="4" value="<?php echo $row["room_order"];?>"></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Visible to everyone: </td>
            <td bgcolor="#FFFFFF"><label>
                <input name="public" type="checkbox" id="public" value="yes" <?php if($row["room_public"]){?>checked <?php }?>>
              </label></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Webcam: </td>
            <td bgcolor="#FFFFFF"><label>
                <input name="webcam" type="checkbox" id="webcam" value="yes" <?php if($row["room_cam"]){?>checked <?php }?>>
              </label></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Voice: </td>
            <td bgcolor="#FFFFFF"><input name="voice" type="checkbox" id="voice" value="yes" <?php if($row["room_voice"]){?>checked <?php }?>></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Draw: </td>
            <td bgcolor="#FFFFFF"><input name="draw" type="checkbox" id="draw" value="yes" <?php if($row["room_draw"]){?>checked <?php }?>></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Premium Only: </td>
            <td bgcolor="#FFFFFF"><input name="premium" type="checkbox" id="premium" value="yes" <?php if($row["room_premium"]){?>checked <?php }?>></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">+18 Only: </td>
            <td bgcolor="#FFFFFF"><input name="adult" type="checkbox" id="adult" value="yes" <?php if($row["room_adult"]){?>checked <?php }?>></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">File and picture share: </td>
            <td bgcolor="#FFFFFF"><input name="picshare" type="checkbox" id="picshare" value="yes" <?php if($row["room_upload"]==1){?>checked <?php }?>></td>
          </tr>
      
          <tr>
            <td align="right" bgcolor="#FFFFFF">YouTube Videos: </td>
            <td bgcolor="#FFFFFF"><input name="youtube" type="checkbox" id="youtube" value="yes" <?php if($row["room_youtube"]==1){?>checked <?php }?>></td>
          </tr>
            <tr>
            <td align="right" bgcolor="#FFFFFF">Gender: </td>
            <td bgcolor="#FFFFFF"><select name="selGender"><option value="0" <?php if($row["room_gender"]==0){?> selected<?php } ?>>All users</option>
            <option value="1" <?php if($row["room_gender"]==1){?> selected<?php } ?>>Male Only</option>
            <option value="2" <?php if($row["room_gender"]==2){?> selected<?php } ?>>Female Only</option></select></td>
          </tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Save Changes"></td>
          </tr>                     
        </table>
      </form>
      <?php }?></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>