<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$log_history_table = $setting->get("log_history_table");
$room_table = $setting->get("room_table");

if($_GET["ac"]=="clear"){
	if($_SESSION["visichat_access"] == "1"){
		$db->run_query("delete from ".$log_history_table);
	}else{
		$result = "You don't have access to this function";
	}
}

$page = $_GET["page"];
if($page =="" || $page<0 || !is_numeric($page)){$page = 1;}
if($_GET["results"] != "" && is_numeric($_GET["results"]) && $_GET["results"]>0){
	$pagesize = $_GET["results"];
}else{
	$pagesize = 50;
}

$result = "";

$show_join = false;
if($_GET["showjoin"]!="yes"){
	$show_join = true;
}


$sql = "select * from ".$log_history_table." where 1=1";
$q = "";
if($show_join){
	$q .= " and username !='|chat console|'";
}

if($_GET["ltype"]=="1"){
	$q .= " and l_to !=''";
}
if($_GET["ltype"]=="0"){
	$q .= " and l_to =''";
}
if($_GET["u"] != ""){
	$q .=" and username='".$db->escape_string($_GET["u"])."'";
}
if($_GET["ip"] != ""){
	$q .=" and l_ip='".$db->escape_string($_GET["ip"])."'";
}
if($_GET["room"] != ""){
	$q .=" and room='".$db->escape_string($_GET["room"])."'";
}
if($_GET["from"] != "" && is_numeric($_GET["from"])  && $_GET["from"]>=0){
	$date = strtotime("-".$_GET["from"]." day");
	$q .=" and l_date>".$db->escape_string($date);
}
if($_GET["to"] != "" && is_numeric($_GET["to"]) && $_GET["to"]>=0){
	if($_GET["to"]==0){
		$date = strtotime("+1 day");	
	}else{
		$date = strtotime("-".$_GET["to"]." day");
	}
	$q .=" and l_date<=".$db->escape_string($date);
}
if($_GET["q"] != ""){
	$q .= " and l_message like '%".$_GET["q"]."%'";	
}
$sql = $sql.$q;
$res = $db->run_query($sql,$page,$pagesize,"l_date",false);

$sql2 = "select count(idlog) as lcnt from ".$log_history_table." where 1=1".$q;
$res2 = $db->run_query($sql2);
$row2 = $db->fetch_assoc($res2);
$db->free_result($res2);

$total_users = $row2["lcnt"];
$total_pages = ceil($total_users/$pagesize);


?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gchats Visichat Admin Menu: Chat Log</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Chat Log</strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form name="form1" method="get" action="log.php?ac=s">
  
    <table width="450" border="0" align="center" class="TextBlack12">
      <tr>
        <td colspan="2" align="center" bgcolor="#284172" class="whileText">Search</td>
        </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Date From : </td>
        <td bgcolor="#FFFFFF"><select name="from">
		<option value="1000">Begining</option>
		<?php for($i=1;$i<15;$i++){?>
		<option value="<?php echo $i;?>" <?php if ($_GET["from"]==$i){?> selected="selected"<?php }?>><?php echo $i;?> days ago</option>
		<?php }?>
        </select>        </td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Date To :</td>
        <td bgcolor="#FFFFFF"><select name="to">
		<?php for($i=0;$i<15;$i++){?>
		<option value="<?php echo $i;?>" <?php if($_GET["to"]==$i){?> selected="selected"<?php }?>><?php if($i==0){?>Now<?php }else{?><?php echo $i;?> days ago<?php }?></option>
		<?php }?>
        </select></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Log type:  </td>
        <td bgcolor="#FFFFFF"><select name="ltype" id="ltype">
          <option value="2" <?php if($_GET["ltype"]=="2"){?> selected="selected"<?php }?>>Both</option>			
          <option value="0" <?php if($_GET["ltype"]=="0"){?> selected="selected"<?php }?>>Public messages</option>
          <option value="1" <?php if($_GET["ltype"]=="1"){?> selected="selected"<?php }?>>Private messages</option>	  
        </select>        </td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Username:  </td>
        <td bgcolor="#FFFFFF"><input type="text" name="u" value="<?php echo $_GET["u"];?>"></td>
      </tr>	 
      <tr>
        <td align="right" bgcolor="#FFFFFF">Find By IP:  </td>
        <td bgcolor="#FFFFFF"><input type="text" name="ip" value="<?php echo $_GET["ip"];?>"></td>
      </tr>	
      <tr>
        <td align="right" bgcolor="#FFFFFF">Find By Keyword:  </td>
        <td bgcolor="#FFFFFF"><input type="text" name="q" value="<?php echo $_GET["q"];?>"></td>
      </tr>	      
      <tr>
        <td align="right" bgcolor="#FFFFFF">Find By Room:  </td>
        <td bgcolor="#FFFFFF">
		<select name="room">
		<option value="">--Select -- </option>
		<?php		
		$res3 = $db->run_query("select * from ".$room_table);
for($i=0;$i<$db->get_num_rows($res3);$i++){
	$rowroom = $db->fetch_assoc($res3,$i);
$roomsHashMap[$rowroom["room_id"]] = $rowroom["room_name"];	
	?>
<option value="<?php echo $rowroom["room_id"];?>" <?php if($_GET["room"]==$rowroom["room_id"]){?> selected="selected"<?php }?>><?php echo $rowroom["room_name"];?></option>
<?php }
$db->free_result($res3);?>
</select></td>
      </tr>		  
      <tr>
        <td align="right" bgcolor="#FFFFFF">Show Join and Leave:  </td>
        <td bgcolor="#FFFFFF"><input name="showjoin" type="checkbox" id="showjoin" value="yes" <?php if($_GET["showjoin"]=="yes"){?> checked="checked"<?php }?>></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Results per page: </td>
        <td bgcolor="#FFFFFF">
		<?php $v = array(50,100,500,1000);?>
		<select name="results">
		<?php for($i=0;$i<count($v);$i++){?>
          <option value="<?php echo $v[$i];?>"><?php echo $v[$i];?></option>
		  <?php }?>
        </select>        </td>
      </tr>	  		   	   
      <tr>
        <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Search"></td>
        </tr>
      <tr>
        <td colspan="2" align="right" bgcolor="#FFFFFF"><a href="log.php?ac=clear" class="Links4" onClick="return check_confirm();"><b>Clear Log</b></a> &nbsp;</td>
      </tr>
    </table>  
	</form>
	<?php if($total_users==0){?>
		<font class="whileText">Your search returned no results.</font>
	<?php }?>
      <br>
      <table width="100%" border="0" align="center" cellpadding="3" cellspacing="0" class="TextBlack12">
	  <?php
	  for($i=0;$i<$db->get_num_rows($res);$i++){
	  $row = $db->fetch_assoc($res,$i);
	  if($i%2==0){
	  	$bg = "#FFFFFF";
	  }else{
	  	$bg = "#dedede";
	  }
	  if(strtolower($row["username"]) == "|chat console|"){
	  	$bg = "#c3c3c3";
	  }
	  if($_SESSION["visichat_access"]!="1"){
	  	$row["l_ip"] = "You don't have access to view IP Address";
	  }
	  $row["username"] = htmlspecialchars($row["username"]);
	  $row["l_ip"] = htmlspecialchars($row["l_ip"]);
	  $row["l_to"] = htmlspecialchars($row["l_to"]);	  
	  $row["room"] = htmlspecialchars($row["room"]);
	  $row["l_message"] = htmlspecialchars($row["l_message"]);	  
	  ?>
      <tr>
        <td valign="top" bgcolor="<?php echo $bg;?>" width="100" nowrap="nowrap">
		<nobr><font color="#0066CC">[<?php echo safe_write($row["l_ip"]);?>]</font></nobr>		</td><td valign="top" bgcolor="<?php echo $bg;?>">
		[<font color="#000066"><?php echo date("H:i:s",$row["l_date"]);?></font>] 
		<?php if(strtolower($row["username"]) == "|chat console|"){
			if(strpos($row["l_message"],"Left this room") !== false){
				$row["l_message"] = '<font color="#FF0000">'.$row["l_message"]."</font>";
			}
			if(strpos($row["l_message"],"Joined this room") !== false){
				$row["l_message"] = '<font color="#0000FF">'.$row["l_message"]."</font>";
			}
			?>
			<font color="#0066CC"><?php echo $row["l_message"];?>   </font>
			<?php }else{?>
			<b><font color="#0066CC"><?php echo $row["username"];?>  : </font></b><?php echo $row["l_message"];?>
			
		  <?php }?> </td>
		  <td width="50px" align="center" nowrap="nowrap" bgcolor="<?php echo $bg;?>"><nobr><b><?php echo $row["l_to"];?> </b></nobr></td>
		<td width="50px" align="center" nowrap="nowrap" bgcolor="<?php echo $bg;?>"><nobr><b><?php echo $roomsHashMap[$row["room"]];?></b></nobr></td>
      </tr>
	  <?php }?>
    </table>
    
	<?php if($total_pages>1){
	$links = "&from=".$_GET["from"]."&to=".$_GET["to"]."&ltype=".$_GET["ltype"]."&u=".$_GET["u"]."&ip=".$_GET["ip"]."&showjoin=".$_GET["showjoin"]."&results=".$_GET["results"]."&room=".$_GET["room"]."&q=".$_GET["q"];
	?>
    <table width="100%" border="0" align="center" class="whileText">
      <tr>
        <td bgcolor="#284172">
		<a href="log.php?ac=s<?php echo $links;?>" class='Links1'>First Page</a>
		&nbsp;&nbsp;
		 <?php
		 $start = $page-10;
		 if($start<1){$start=1;}
		 $end = $page+10;
		 if($end>$total_pages){$end = $total_pages;}
		 
		 if($start>1){?> &nbsp;...&nbsp; <?php }?>
		 <?php  for($i=$start;$i<=$end;$i++){
		if($i==$page){
			echo "&nbsp;".$i."&nbsp;";
		}else{
			echo "&nbsp;<a href='log.php?page=".$i.$links."' class='Links1'>".$i."</a>&nbsp;";
		}
		}
		 if($end<$total_pages){?> &nbsp;...&nbsp; <?php }?>		
		&nbsp;&nbsp;
		 <a href="log.php?page=<?php echo $total_pages;?>&<?php echo $links;?>" class='Links1'>Last Page</a>		</td>
      </tr>
    </table>
	<?php }?>
	<span class="YellowText"><br>
	Note: Log messages updates once per 5 minutes to increase chat performance.</span></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>