<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$room_table = $setting->get("room_table");
$members_table = $setting->get("members_table");

$page = $_GET["page"];
if($page =="" || $page<0 || !is_numeric($page)){$page = 1;}
$pagesize = 50;


$result = "";
if($_GET["ac"] == "d" && is_numeric($_GET["u"])){
	if($_SESSION["visichat_access"]=="1"){
		$res = $db->run_query("select * from ".$room_table." where room_id=".$db->escape_string($_GET["u"]));
		if($db->get_num_rows($res)==0){
			$result = "Room not found";
		}else{
			$row = $db->fetch_assoc($res);
			$res = $db->run_query("delete from ".$room_table." where room_id=".$db->escape_string($_GET["u"]));
			$result = $row["room_name"]." removed successfully";		
		}		
	}else{
		$result = "You don't have access to this function";
	}
}

if($_GET["ac"]=="a"){
	if($_SESSION["visichat_access"]=="1"){
		$valid = true;
		if($_POST["rname"] == ""){
			$result = "Room name is required";
		}else{
			$rname = $_POST["rname"];
			$res = $db->run_query("select * from ".$room_table." where room_name='".$db->escape_string($rname)."'");
			if($db->get_num_rows($res)>0){
				$result = "This room already exists";
			}else{
				$cap = $_POST["rcap"];
				if($cap<0){ $cap =0;}
				if($cap =="" || !is_numeric($cap)){
					$cap = 40;
				}
				if($_POST["public"]=="yes"){
					$public=1;
				}else{
					$public=0;
				}
				if($_POST["webcam"]=="yes"){
					$cam=1;
				}else{
					$cam=0;
				}
				if($_POST["voice"]=="yes"){
					$voice=1;
				}else{
					$voice=0;
				}
				if($_POST["draw"]=="yes"){
					$draw=1;
				}else{
					$draw=0;
				}
				if($_POST["picshare"]=="yes"){
					$picshare=1;
				}else{
					$picshare=0;
				}
				if($_POST["youtube"] == "yes"){
					$youtube = 1;	
				}else{
					$youtube = 0;	
				}
				$gender = 0;
				if($_POST["selGender"] == "1" || $_POST["selGender"] == "2"){
					$gender = $_POST["selGender"];	
				}
				if($_POST["adult"]=="yes"){$adult=1;}else{$adult=0;}
				if($_POST["premium"]=="yes"){$premium=1;}else{$premium=0;}
				$room_order =0;
				if($_POST["room_order"] != "" && is_numeric($_POST["room_order"])){
					$room_order = $_POST["room_order"];
				}
				$db->run_query("insert into ".$room_table."(room_name,room_capacity,room_type,room_public,room_cam,room_voice,room_draw,room_order,room_adult,room_premium,room_upload,room_youtube,room_gender,room_key) values('".$db->escape_string($rname)."',$cap,'p',$public,$cam,$voice,$draw,$room_order,$adult,$premium,$picshare,$youtube,$gender,'".$db->escape_string($_POST["rkey"])."')");
				$result = "Room added successfully";
			}
			$db->free_result($res);
		}
		
	}else{
		$result = "You don't have access to this function";
	}
}
if($_GET["ac"] == "uorder"){
	if($_SESSION["visichat_access"]=="1"){
		foreach($_POST["rid"] as $i){
			if(is_numeric($i) && $i != "" && $i>0){
				$order = 0;
				if($_POST["order".$i] != "" && is_numeric($_POST["order".$i])){
					$order = $_POST["order".$i];
				}
				$db->run_query("update ".$room_table." set room_order=$order where room_id=$i");
			}
		}
	}else{
		$result = "You don't have access to this function";
	}
}
$res = $db->run_query("select ".$room_table.".*,".$members_table.".".$setting->get("username_field")." from ".$room_table." left join ".$members_table." on ".$room_table.".room_creator=".$members_table.".".$setting->get("id_field")." order by room_type , room_order desc,room_name",$page,$pagesize);
$res2 = $db->run_query("select count(room_id) as cid from ".$room_table);
$row = $db->fetch_assoc($res2);
$db->free_result($res2);

$total_users = $row["cid"];
$total_pages = ceil($total_users/$pagesize);
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gchats Visichat Admin Menu: Rooms</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Rooms Administration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="90%" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><form name="form1" method="post" action="rooms.php?ac=a">
        <table width="450" border="0" align="center" class="TextBlack12">
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText">Add Room </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Room name: </td>
            <td bgcolor="#FFFFFF"><input name="rname" type="text" id="rname"></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Room password: </td>
            <td bgcolor="#FFFFFF"><input name="rkey" type="text" id="rkey"></td>
          </tr>          
          <tr>
            <td align="right" bgcolor="#FFFFFF">Capacity:</td>
            <td bgcolor="#FFFFFF"><input name="rcap" type="text" id="rcap" value="40" size="4" maxlength="4">
              <span class="Comments">(0 for unlimited)</span> </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Order: </td>
            <td bgcolor="#FFFFFF"><label>
              <input name="room_order" type="text" id="room_order" value="0" size="4" maxlength="4" >
              </label></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Visible to everyone: </td>
            <td bgcolor="#FFFFFF"><label>
              <input name="public" type="checkbox" id="public" value="yes" checked>
              </label></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Webcam: </td>
            <td bgcolor="#FFFFFF"><label>
              <input name="webcam" type="checkbox" id="webcam" value="yes" checked>
              </label></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Voice: </td>
            <td bgcolor="#FFFFFF"><input name="voice" type="checkbox" id="voice" value="yes" checked>
            </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Drawing: </td>
            <td bgcolor="#FFFFFF"><input name="draw" type="checkbox" id="draw" value="yes" checked>
            </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF"><img src="../images/help.jpg" align="absmiddle" title="If you select this option, only Premium users are allowed to join this room." /> Premium Only: </td>
            <td bgcolor="#FFFFFF"><input name="premium" type="checkbox" id="premium" value="yes">
            </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF"><img src="../images/help.jpg" align="absmiddle" title="If you select this option, only +18 users are allowed to join this room." /> +18 Only: </td>
            <td bgcolor="#FFFFFF"><input name="adult" type="checkbox" id="adult" value="yes">
            </td>
          </tr>
		  <tr>
            <td align="right" bgcolor="#FFFFFF">File and picture share: </td>
            <td bgcolor="#FFFFFF"><input name="picshare" type="checkbox" id="picshare" value="yes" checked>
            </td>
          </tr>
            <tr>
            <td align="right" bgcolor="#FFFFFF">YouTube Videos: </td>
            <td bgcolor="#FFFFFF"><input name="youtube" type="checkbox" id="picshare" value="yes" checked>
            </td>
          </tr>
            <tr>
            <td align="right" bgcolor="#FFFFFF">Gender: </td>
            <td bgcolor="#FFFFFF"><select name="selGender"><option value="0">All users</option><option value="1">Male Only</option>
            <option value="2">Female Only</option></select></td>
          </tr>          
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Add Room"></td>
          </tr>
        </table>
      </form>
      <br>
      <br>
      <form name="form2" method="post" action="?ac=uorder">
        <table width="95%" border="0" align="center" cellpadding="2" class="TextBlack12">
          <tr class="whileText">
            <td align="center" bgcolor="#284172">#</td>
            <td bgcolor="#284172">Name </td>
            <td bgcolor="#284172">Creator </td>			
            <td align="center" bgcolor="#284172">Capacity</td>
            <td align="center" bgcolor="#284172">Type</td>
            <td align="center" bgcolor="#284172">Public</td>
            <td align="center" bgcolor="#284172">Webcam</td>
            <td align="center" bgcolor="#284172">Voice</td>
            <td align="center" bgcolor="#284172">Draw</td>
            <td align="center" bgcolor="#284172">Uploads</td>
            <td align="center" bgcolor="#284172">YouTube</td>
            <td align="center" bgcolor="#284172">Gender</td>
            <td align="center" bgcolor="#284172">Password</td>            
            <td align="center" bgcolor="#284172">Order</td>
            <td align="center" bgcolor="#284172">Edit</td>
            <td align="center" bgcolor="#284172">Delete</td>
          </tr>
          <?php
	  for($i=0;$i<$db->get_num_rows($res);$i++){
	  $row = $db->fetch_assoc($res,$i);
	  ?>
          <tr>
            <td align="center" bgcolor="#FFFFFF"><?php echo ((($page-1)*$pagesize)+($i+1));?></td>
            <td bgcolor="#FFFFFF"><?php 
		if($row["room_type"]=="p"){
			if($row["room_public"]==1){
				showpic("chatroom.gif");
			}else{
				showpic("lock.jpg");
			}
		}
		if($row["room_type"]=="h"){
			showpic("support.gif");
		}
		if($row["room_type"]=="u"){
			showpic("userroom.jpg");
		}?>
              <a href="editroom.php?u=<?php echo $row["room_id"];?>" class="Links4"><?php echo $row["room_name"];?></a>
              <?php 
			  if($row["room_id"] == $setting->get("default_room")){?>
              <i>(default)</i>
              <?php }?>
              <input type="hidden" name="rid[]" value="<?php echo $row["room_id"];?>">
            </td>
            <td align="center" bgcolor="#FFFFFF"><?php 
			if($row["room_creator"]==0){
				echo "System Admin";
			}else{
				echo "<a href='edit.php?u=".$row["room_creator"]."' target='_blank' class='Links4'>".$row[$setting->get("username_field")]."</a>";
			
			};?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_capacity"]=="0"){echo "unlimited";}else{echo $row["room_capacity"];}?></td>
            <td align="center" bgcolor="#FFFFFF">
			<?php 
			if($row["room_type"]=="p"){
				if($row["room_adult"] == 1){
					echo " (+18)";
				}
				if($row["room_premium"] == 1){
					echo " (Premium)";
				}
				if($row["room_adult"] == 0 && $row["room_premium"]==0){
					echo "Chat Room";
				}
			}
			if($row["roo_type"] == "h"){echo "Support";}
			if($row["room_type"] == "u"){echo "User Created";}
			
			?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_public"]==1){showpic("yes.jpg"); }else{showpic("no.jpg");}?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_cam"]==1){showpic("cam.png"); }else{showpic("no.jpg");}?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_voice"]==1){showpic("voice.png"); }else{showpic("no.jpg");}?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_draw"]==1){showpic("draw.jpg"); }else{showpic("no.jpg");}?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_upload"]==1){showpic("yes.jpg"); }else{showpic("no.jpg");}?></td>            
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_youtube"]==1){showpic("youtube.jpg"); }else{showpic("no.jpg");}?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_gender"]==0){?>All Users<?php }?><?php if($row["room_gender"]==1){?>Male<?php }?><?php if($row["room_gender"]==2){?>Female<?php }?></td>
            <td align="center" bgcolor="#FFFFFF"><?php if($row["room_key"]!=""){ showpic("lock.jpg"); }?></td>
            <td align="center" bgcolor="#FFFFFF"><input name="order<?php echo $row["room_id"];?>" value="<?php echo $row["room_order"];?>" type="text" size="4" maxlength="4"></td>
            <td align="center" bgcolor="#FFFFFF"><a href="editroom.php?u=<?php echo $row["room_id"];?>" class="Links4">Edit</a></td>
            <td align="center" bgcolor="#FFFFFF"><a href="rooms.php?ac=d&u=<?php echo $row["room_id"];?>" onClick="return check_confirm();" class="Links4">Delete</a></td>
          </tr>
          <?php }?>
          <tr>
            <td colspan="16" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit2" value="Save Changes"></td>
          </tr>
        </table>
      </form>
      <?php if($total_pages>1){?>
      <table width="500" border="0" align="center" class="whileText">
        <tr>
          <td bgcolor="#284172"><a href="rooms.php" class='Links1'>First Page</a> &nbsp;&nbsp;
            <?php for($i=1;$i<=$total_pages;$i++){
		if($i==$page){
			echo "&nbsp;".$i."&nbsp;";
		}else{
			echo "&nbsp;<a href='rooms.php?page=".$i."' class='Links1'>".$i."</a>&nbsp;";
		}
		
		 }?>
            &nbsp;&nbsp; <a href="rooms.php?page=<?php echo $total_pages;?>" class='Links1'>Last Page</a> </td>
        </tr>
      </table>
      <?php }?>
     <br>
      </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="90%"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
