<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

set_time_limit(3600);

$modules = array(
	array("auto_login","Enable/disable auto login"),
	array("email_activation","Enable/disable email activation"),
	array("delete_non_activated","Auto delete users who do not activate their email in 2 days."),
	array("auto_join","Enable/disable auto join rooms after login"),
	array("enable_log","Enable/disable chat log","","Enabling this option will slow down your chat and increase traffic and load on database a lot, disable if not necessary"),
	array("log_private_msg","Enable/disable private chat log","","Enabling this option will slow down your chat and increase traffic and load on database a lot, disable if not necessary"),
	array("edit_profile","Enable/disable edit profile"),
	array("pic_upload","Enable/disable profile upload Picture"),
	array("avatars","Enable/disable avatars"),
	array("enable_games","Enable/disable games"),	
	array("avatarlist","Enable/disable avatar list panel"),
	array("enable_transcript","Enable/disable Transcript","","Turn off this feature when you have many users to increase performance in client side"),
	array("enable_user_created_rooms","Enable/disable user created rooms"),
	array("enable_join_leave","Enable/disable join and leave messages"),
	array("enable_public_picshare","Enable/disable public picture sharing"),
	array("enable_private_picshare","Enable/disable private picture sharing"),
	array("enable_private_word_filter","Enable/disable private chat bad word filtering"),	
	array("enable_drawing","Enable/disable drawing board"),
	array("enable_voting","Enable/disable voting"),
	array("show_guest","Show guest label"),
	array("assign_guest_username","when auto login is on, assign GuestXXXX username to guest users."),
	array("show_setting","Show edit profile after first login"),
	array("allow_under_18","Show date of birth for under 18 years old."),
	array("show_join_leave","Show join and leave messages, when people switch rooms."),
	array("sound_join_leave","Play a sound when users join or leave the chatroom."),
	array("time_stamp","Show time stamp in messages"),
	array("show_state","Show state in the userlist"),
	array("show_city","Show city in the userlist"),
	array("show_country","Show country in the userlist"),
	array("show_age","Show age in the userlist"),
	array("show_gender","Show gender in the userlist"),
	array("show_ip_join","Show IP address of users to moderators when they join chatroom."),
	array("public_msg_button_enabled","Show custom button in public message area above send button."),
	array("show_password_login","Display password field in the login menu"),
	array("enable_one_way_chat","Enable One way chat only,<br>Only Allow moderators to see users (default: unchecked)","","Turn off this feature, you only need this feature, when you don't want users to communicate amoung each other"),
	array("register","Allow user registration"),
	array("allow_guest","Allow guest login"),
	array("unicode_register","Allow unicode characters in username"),
	array("space_in_username","Allow space in username"),	
	array("privatemsg_control","Allow users to block incoming private messages"),
	array("allow_guest_no_moderator","Allow guest login when no moderator is logged in to the chat"),
	array("allow_dulplicate_ip_register","Allow users from same ip address to register more than one account"),
	array("enable_credit","Enable/Disable Sending credit option"),
	array("enable_buy_credit","Enable/Disable buy credit"),
	array("enable_my_account","Show My Account tab under setting"),
	array("show_webcambtn_prv","Show webcam button in the private message window"),
	array("show_adult_room","Show adult room option in the user created room window"),
	array("show_couple_label","Show couple label in the gender selection"),
	array("show_member_list","Enable/Disable member list"),
	array("show_userlist_thumbnails","Show userlist thumbnails"),
	array("show_memberlist_thumbnails","Show memberlist thumbnails"),
	array("show_webcam_buddylist","Show webcam icon in the buddy list"),
	array("close_webcam_cancel","Close view webcam window when user close or deny the view request."),
	array("show_moderator_stars","display moderator icons to guest,users and premium members"),
	array("show_date_of_birth","Allow year of birth selection in the profile window"),
	array("enable_youtube","Enable/Disable YouTube video posts"),
	array("minimize_private_messages","Always minimize new private messages"),
	array("enable_show_log_file","Enable/disable showlog.php file"),
	array("enable_stats_file","Enable/disable stats.php file"),
	array("open_all_cam_on_login","Automatically open all available webcams after joining rooms"),
	array("send_credit_notice","Display a message in the room to all users when a user sends credit to another user"),
	array("auto_close_confirm","Auto close confirm windows if user does not click on accept or deny within 2 minutes."),
	array("show_kicked_user", "Display a message when moderator kicks a user"),
	array("allow_user_delete", "Allow users to delete their accounts through delete.php file.")
);

$webcam = array(
	array("public_video","Enable/disable webcam"),	
	array("public_voice","Enable/disable public voice chat"),
	array("hand_raise","Enable/Disable public voice raise hand feature"),
	array("private_voice","Enable/disable private voice chat"),
	array("allow_nowebcam","Allow users which don't have a webcam to register"),
	array("login_turon_webcam","Automatically turn on users webcam on login"),	
	array("login_turon_voice","Automatically turn on users public voice on login"),
	array("login_turon_handsfree","Automatically turn on public handsfree on login"),	
	array("gallery_mod","Enable/disable video gallery"),	
	array("gallery_need_approve","Gallery movies require approval"),
	array("voice_saver","Enable this option to use your bandwidth/cpu/ram efficiency on public voice"),
	array("disconnect_cam_room_change","Close cam viewers when user move to other room")
);
$chat_setting = array(
	array("key","Your visichat product key"),
	array("visichat_path","Visichat URL (default blank)"),
	array("visichat_swf_path","Visichat SWF file domain name, (default blank, yourdomain.com)","text","Allow connections from only the specified domain name"),
	array("chat_server","Red5 Server (IP or URL)", "text"),
	array("chat_app","Chat application name", "text"),	
	array("chat_stream_server","Separate Video and Audio Server IP","text","You Can set this value to your Red5, FMS or Wowza IP address, on same server or another one"),
	array("chat_stream_app","Separate Video and Audio server application name", "text"),	
	array("website_title","Website title", "text"),
	array("website_email","Website email", "text"),
	array("date_format","PHP Date Format","text"),
	array("allowed_files","Allowed file types for upload (separate by comma)","text"),
	array("user_time_limit","Registered users time limit per day (minutes), set to 0 for unlimited","int","Registered users cannot stay online for more than this amount per day, Changing this option requires red5 restart"),
	array("guest_time_limit","Guest users time limit per day (minutes), set to 0 for unlimited","int","Guest users cannot stay online for more than this amount per day, Changing this option requires red5 restart"),	
	array("user_limit","Concurrent users limit","int"),
	array("log_days","Log expires after (days)","int"),
	array("log_save_time","Save message logs every x minutes in database (0 for instant which slow down your server, 5 is recommended)","int"),
	array("premium_cost","Premium membership renewal price (credits per renewal)","int","Requires Red5 restart"),	
	array("premium_add_days","Premium membership renewal length (days)","int","Requires Red5 restart"),	
	array("premium_add_hours","Premium membership renewal length (hours)","int","Requires Red5 restart"),	
	array("premium_add_minutes","Premium membership renewal length (minutes)","int","Requires Red5 restart"),	
	array("history_messages","Number of messages appear in room on arrival","int"),
	array("default_cam_quality","Default camera quality (1-100)","int"),
	array("gallery_record_sec","Video gallery recording length (seconds)","int"),
	array("max_file_size","Max file size upload (KB)","int"),
	array("memberlist_count","Number of recently registered users in memberlist display","int"),
	array("gallery_movie_count","Number of movies in gallery for each user","int"),
	array("show_away_minutes","Show away status after inactivity for (minutes)","int"),
	array("closecam_idle_time","Close webcam and public voice of user, if user is idle for (minutes)","int"),
	array("disconnect_idle_time","Disconnect user, if user is idle for (minutes)","int"),
	array("webcam_width","View webcam window, default width ","int"),
	array("webcam_height","View webcam window, default height ","int"),
	array("handraise_talk_limit","User talk limit seconds on hand raise option (0 for unlimited)","int"),	
	array("handraise_start_limit","Give mic to next user if user does not talk after X seconds on hand raise option (add more than 10 seconds)","int"),
	array("picture_share_height","Thumbnail picture height, This is picture height for when users upload pictures in private or public chat","int"),
	array("max_user_list_size","Maximum number of users displayed in the user list (0 for all, reduce to 100 if you have more than 100 users per room)","int"),
	array("user_created_room_capacity","Default user created rooms capacity (40 is recommended, 0 for unlimited)","int"),
	array("user_created_room_limit","Maximum number of user created rooms (0 for unlimited)","int"),
	array("cam_bandwidth","Webcam bandwidth usage in kb/s (40 default, 20-300)","int"),
	array("max_private_message","Maximum character of private messages (300 for default, 50-1000)","int"),
	array("max_public_message","Maximum character of public messages (300 for default, 50-1000)","int"),
	array("sound_quality","Sound quality, choose from 8, 11, 22, 44 (11 default)","int"),
	array("cam_frames_persec","Webcam frames per second (6 default)","int")	
);
$integration = array(
	array("register_link","Register Button Link (default blank)<br>Example: /register.php"),
	array("register_link_target","_parent, _blank, _self, _top"),	
	array("logout_link","Logout Button Link, (default blank)<br>Example: /logout.php"),	
	array("logout_link_target","_parent, _blank, _self, _top"),
	array("profile_link","Profile linkage, affects when users click on pictures in userlist.(default blank)<br> Example: /profile.php?u={username} or /profile.php?u={id}"),
	array("offline_members_link","Offline members linkage , when users click on a username in the memberlist who is not online. (default blank)<br> Example: /profile.php?u={username} or /profile.php?u={id}"),
	array("setting_link","Setting button link"),
	array("disconnect_redirect","Redirect link when users disconnect, or fail to connect."),
	array("public_msg_button_title","Public message area, custom button title <br> (if you leave this blank, it will read from language xml file.)"),
	array("public_msg_button_link","Public message area, custom button link <br>(leave blank if you dont to link that button).<br> Example: /buy.php?u={username}"),
	array("public_msg_button_target","_parent, _blank, _self, _top"),
	array("public_msg_button2_title","Custom button 2 title (leave blank if you are using buy credit feature) <br> (if you leave this blank, it will read from language xml file.)"),
	array("public_msg_button2_link","Custom button 2 link (leave blank if you are using buy credit feature)<br>(if leave blank, buy credit page appears, change if you are not using buy credit feature).<br> Example: /buy.php?u={username}")
);	

$userlistOrder = array(
						array("", "No priority"),
						array("am", "Admin, Moderator (default)"),
						array("amp", "Admin, Moderator, Premium users"),
						array("amw", "Admin, Moderator, Webcams"),
						array("amt", "Admin, Moderator, Microphone"),
						array("amwt", "Admin, Moderator, Webcams, Microphone")
					);

$restrictions = array("key","visichat_path","chat_server","chat_app","chat_stream_server","chat_stream_app","date_format","allowed_files","cam_bandwidth","user_limit","log_days","log_save_time");
$months = array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$room_table = $setting->get("room_table");
$temp_pictures_table = $setting->get("temp_pictures_table");
$username_field = $setting->get("username_field");
$picture_field = $setting->get("picture_field");
$result 	= "";

if($_GET["ac"]=="u" && $_POST["savesetting"]=="yes"){
	if($_SESSION["visichat_access"]=="1"){
		// Open Close chat
		if(post("chat_room_open")=="1"){
			$setting->set("chat_room_open","1");
		}
		if(post("chat_room_open")=="0"){
			$setting->set("chat_room_open","0");
		}

		if(post("day") ==0 && post("month") == 0 && post("year")==0){
			$date = "0";
		}
		if($date != "0"){
			if(is_numeric(post("day")) && is_numeric(post("month")) && is_numeric(post("year"))){
				if(checkdate(post("month"),post("day"),post("year"))){
					$date= mktime(post("hour"),post("minute"),59,post("month"),post("day"),post("year"));
				}else{
					$date = $setting->get("auto_close_chat");
				}
			}
			if($date == ""){
				$date = $setting->get("auto_close_chat");
			}
		}
		if($setting->get("show_license_info") != "no"){
			$setting->set("auto_close_chat",$date);
		}
		$setting->set("chat_room_close_msg",post("chat_room_close_msg"));
		$setting->set("default_room",post("default_room"));
		$setting->set("language",post("language"));
		$setting->set("userlist_order",post("userlist_order"));
		
		$show_key = $setting->get("show_license_info");
		// modules
		for($i=0;$i<count($modules);$i++){
			$mod = $modules[$i];
			if(post("mod".$mod[0])=="yes"){
				$val = "yes";
			}else{
				$val = "no";
			}
			$setting->set($mod[0],$val);
		}
		// voice and webcam
		for($i=0;$i<count($webcam);$i++){
			$mod = $webcam[$i];
			if(post("mod".$mod[0])=="yes"){
				$val = "yes";
			}else{
				$val = "no";
			}
			$setting->set($mod[0],$val);
		}
		if($setting->get("show_license_info") != "no" && $show_key != "no"){
			if($setting->get("key") != post("setkey") && isset($_POST["setkey"])){
				$setting->set("key",post("setkey"));
				$setting->save();
				$visichat = $factory->getInstance("visichat");
				$visichat->check_updates();
			}
		}
		for($i=0;$i<count($chat_setting);$i++){
			$mod = $chat_setting[$i];
			if(isset($_POST["set".$mod[0]])){
				if(!in_array($mod[0],$restrictions) || ($show_key != "no" && $setting->get("show_license_info") != "no")){
					$setting->set($mod[0],post("set".$mod[0]));
				}
			}
		}
		for($i=0;$i<count($integration);$i++){
			$mod = $integration[$i];
			$setting->set($mod[0],post("set".$mod[0]));
		}
		
		if(post("user_access_enabled")=="yes"){
			$setting->set("user_access_enabled","yes");
		}else{
			$setting->set("user_access_enabled","no");
		}
		$setting->set("user_access_field",post("user_access_field"));		
		$setting->set("user_access_allow_value",post("user_access_allow_value"));
		$setting->set("user_access_deny_value",post("user_access_deny_value"));
		$setting->save();
		$result = "Visichat setting updated successfully.";
	}else{
		$result = "You don't have access to this function";
	}	
}


if($_GET["ac"]=="cleanpic"){
	if($_SESSION["visichat_access"]=="1"){
		cleanupPics();
		$result = "Pictures cleanup successful";
	}else{
		$result = "You don't have access to this function";
	}	
}
if($_GET["ac"]=="resetvotes"){
	if($_SESSION["visichat_access"]=="1"){
		cleanupVotes();
		$result = "All votes has been cleared, This will take show up after user relogin in the chat room.";
	}else{
		$result = "You don't have access to this function";
	}
}
if($_GET["ac"] == "resetonline"){
	if($_SESSION["visichat_access"]=="1"){
		resetOnline();
		$result = "Online user list has been cleared from database.";
	}else{
		$result = "You don't have access to this function";
	}	
}
function cleanupPics(){
	global $factory;
	$visichat 	= $factory->getInstance("visichat");
	$visichat->cleanUp();
	$visichat->cleanupPics();
}
function cleanupVotes(){
	global $db,$factory;
	$config = $factory->getInstance("config");
	$db->run_query("update ".$config->prefix."members_info set visi_chat_votes=0,visi_chat_rate=0");
	$db->run_query("delete from ".$config->prefix."votes");
}
function resetOnline(){
	global $db,$factory;
	$config = $factory->getInstance("config");
	$db->run_query("delete from ".$config->prefix."online_users");
	$db->run_query("update ".$members_info_table."set visi_chat_is_online=0");
}
$resroom = $db->run_query("select * from ".$room_table);
$languages = getLanguages();
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Setting</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Setting Administration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><form name="form1" method="post" action="setting.php?ac=u">
        <table width="700" border="0" align="center" cellpadding="3" class="TextBlack12">
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Open / Close Chat room </strong></td>
          </tr>
          <?php if($setting->get("chat_room_open")=="0"){?>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF" ><img src="../images/warning.jpg" width="30" height="25" align="absmiddle"> Currently chat room is closed! </td>
          </tr>
          <?php }?>
          <tr>
            <td align="right" bgcolor="#FFFFFF" >Chat room status    : </td>
            <td bgcolor="#FFFFFF"><select name="chat_room_open">
                <option value="1" <?php if($setting->get("chat_room_open")!="0"){?> selected="selected" <?php }?>>Chat room is open</option>
                <option value="0"  <?php if($setting->get("chat_room_open")=="0"){?> selected="selected" <?php }?>>Chat room is closed</option>
              </select>
            </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF"  >Chat room close message  : </td>
            <td bgcolor="#FFFFFF"><textarea name="chat_room_close_msg" rows="4"><?php echo $setting->get("chat_room_close_msg");?></textarea></td>
          </tr>
<?php if($setting->get("show_license_info") != "no"){?>		  
          <tr>
            <td align="right" bgcolor="#FFFFFF"  >Auto Close chat room time: </td>
            <td bgcolor="#FFFFFF"><?php 
if($setting->get("auto_close_chat")==0){
	 $day = 0;
	$month = 0;
	$year = 0;
	$hour = 0;
	$minute = 0;
	$close_text = "Never";
}else{
	$minute = date("i",$setting->get("auto_close_chat"));
	$hour = date("G",$setting->get("auto_close_chat"));
	$day = date("j",$setting->get("auto_close_chat"));
	$month = date("n",$setting->get("auto_close_chat"));
	$year = date("Y",$setting->get("auto_close_chat"));
	if($setting->get("auto_close_chat")<time()){
		$close_text = "<font color='#FF0000'><b>Closed</b></font>";
	}else{
		$diff = floor(($setting->get("auto_close_chat")-time())/86400) ;
		$seconds = ($setting->get("auto_close_chat")-time()) - ($diff*86400);
		$diff_hours = floor($seconds/3600);
		$diff_minutes = floor(($seconds-($diff_hours*3600))/60);
		if($diff == 0){
			$close_text = "Closes in <b>".$diff_hours."</b> hours and <b>".$diff_minutes."</b> minutes";
		}else{
			$close_text = "Closes in <b>".$diff."</b> days, <b>".$diff_hours."</b> hours and <b>".$diff_minutes."</b> minutes";
		}
	}	
}
?>
              <select name="month">
                <option value="0">----</option>
                <?php for($i=1;$i<=12;$i++){?>
                <option value="<?php echo $i;?>" <?php if($month==$i){?> selected="selected"<?php }?>><?php echo $months[$i-1];?></option>
                <?php }?>
              </select>
              <select name="day">
                <option value="0">----</option>
                <?php for($i=1;$i<=31;$i++){?>
                <option value="<?php echo $i;?>" <?php if($day==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
                <?php }?>
              </select>
              <select name="year">
                <option value="0">----</option>
                <?php for($i=date("Y")-5;$i<=2020;$i++){?>
                <option value="<?php echo $i;?>" <?php if($year==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
                <?php }?>
              </select>
              <select name="hour">
                <?php for($i=0;$i<=23;$i++){?>
                <option value="<?php echo $i;?>" <?php if($hour==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
                <?php }?>
              </select>
              :
              <select name="minute">
                <?php for($i=0;$i<=59;$i++){?>
                <option value="<?php echo $i;?>" <?php if($minute==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
                <?php }?>
              </select>
              <br>
              <?php echo $close_text?><br>
              <?php echo $diff_seconds;?> Current Server Time: <b><?php echo date("F j, Y, g:i a"); ?></b><br>
            </td>
          </tr>
<?php }?>		  
        </table>
        <table width="700" border="0" align="center" cellpadding="3" class="TextBlack12">
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Setting</strong></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF" width="70%" >Default Room : </td>
            <td bgcolor="#FFFFFF"><select name="default_room">
                <option value="">-- Select --</option>
                <option value="random" <?php if($setting->get("default_room")=="random"){?> selected="selected"<?php }?>>Random</option>
                <?php for($i=0;$i<$db->get_num_rows($resroom);$i++){
		$tmp_row = $db->fetch_assoc($resroom,$i);
			if($tmp_row["room_type"]=="p"){?>
                <option value="<?php echo $tmp_row["room_id"];?>" <?php if($setting->get("default_room") == $tmp_row["room_id"]){?> selected="selected"<?php }?>><?php echo $tmp_row["room_name"];?></option>
                <?php }}?>
              </select></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF" width="70%" >Default Language : </td>
            <td bgcolor="#FFFFFF"><select name="language">
                <option value="">-- Select --</option>
                <?php for($i=0;$i<count($languages);$i++){?>
                <option value="<?php echo $languages[$i];?>" <?php if($setting->get("language") == $languages[$i]){?> selected="selected"<?php }?>><?php echo $languages[$i];?></option>
                <?php }?>
              </select></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF" width="70%" >Userlist order priority : </td>
            <td bgcolor="#FFFFFF"><select name="userlist_order">
                <option value="">-- Select --</option>
                <?php 
				  foreach ( $userlistOrder as $order )
				  {
				?>
                <option value="<?php echo $order[0];?>" <?php if($setting->get("userlist_order") == $order[0]){?> selected="selected"<?php }?>><?php echo $order[1];?></option>
                <?php 
				  }
				?>
              </select></td>
          </tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Enable/Disable modules </strong></td>
          </tr>
          <?php for($i=0;$i<count($modules);$i++){
			$mod = $modules[$i];
		?>
          <tr>
            <td align="right" bgcolor="#FFFFFF" ><?php if(count($mod)==4){?>
              <img src="../images/help.jpg" align="absmiddle" title="<?php echo $mod[3];?>" />
              <?php }?>
              <?php echo $mod[1];?> </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="checkbox" name="mod<?php echo $mod[0];?>" value="yes" <?php if($setting->get($mod[0]) != "no"){?> checked="checked"<?php }?>></td>
          </tr>
          <?php }?>
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Voice and Webcam setting </strong></td>
          </tr>
          <?php for($i=0;$i<count($webcam);$i++){
			$mod = $webcam[$i];
		?>
          <tr>
            <td align="right" bgcolor="#FFFFFF" ><?php echo $mod[1];?> </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="checkbox" name="mod<?php echo $mod[0];?>" value="yes" <?php if($setting->get($mod[0]) != "no"){?> checked="checked"<?php }?>></td>
          </tr>
          <?php }?>
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Setting</strong></td>
          </tr>
          <?php for($i=0;$i<count($chat_setting);$i++){
			$mod = $chat_setting[$i];
			
			if(($_SESSION["visichat_access"]=="1" && $setting->get("show_license_info") != "no") || !in_array($mod[0],$restrictions)){
		?>
          <tr>
            <td align="right" bgcolor="#FFFFFF" ><?php if(count($mod)==4){?>
              <img src="../images/help.jpg" align="absmiddle" title="<?php echo $mod[3];?>" />
              <?php }?>
              <?php echo $mod[1];?> </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="text" name="set<?php echo $mod[0];?>" value="<?php echo $setting->get($mod[0]);?>" <?php if($mod[2]=="int"){?>onkeypress="var k = event.keyCode ? event.keyCode :event.charCode ? event.charCode : event.which; return /^(\d)$/.test(String.fromCharCode(k) );"<?php }?>></td>
          </tr>
          <?php 
		  }
		  }?>
          <tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Integration<br>
              </strong> For Experts Only, Requires red5 restart after changes.</td>
          </tr>
          <?php for($i=0;$i<count($integration);$i++){
			$mod = $integration[$i];
		?>
          <tr>
            <td align="right" bgcolor="#FFFFFF" ><?php echo $mod[1];?> </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="text" name="set<?php echo $mod[0];?>" value="<?php echo $setting->get($mod[0]);?>" <?php if($mod[2]=="int"){?>onkeypress="var k = event.keyCode ? event.keyCode :event.charCode ? event.charCode : event.which; return /^(\d)$/.test(String.fromCharCode(k) );"<?php }?>></td>
          </tr>
          <?php }?>
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>User Access Control</strong> (for Experts only) <br>
              Enable only when integrating and you need to allow premium users only.</td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF" >Enable user access control : </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="checkbox" name="user_access_enabled" value="yes" <?php if($setting->get("user_access_enabled")=="yes"){?> checked="checked"<?php }?>></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF" >User access control field : </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="text" name="user_access_field" value="<?php echo $setting->get("user_access_field");?>"></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF" >Allow if value is equal to : </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="text" name="user_access_allow_value" value="<?php echo $setting->get("user_access_allow_value");?>"></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF" >Deny if value is equal to : </td>
            <td align="left" bgcolor="#FFFFFF" ><input type="text" name="user_access_deny_value" value="<?php echo $setting->get("user_access_deny_value");?>"></td>
          </tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Save Setting"></td>
          </tr>
        </table>
        <br>
        Note: Some changes might take up to 5 minute to take effect in the chat server.<br>
        <br>
        <table width="500" border="0" align="center" class="TextBlack12">
          <tr>
            <td colspan="2" align="center" bgcolor="#284172" class="whileText"><strong>Clean Up Old Temporary Pictures </strong></td>
          </tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF" ><br>
              <input type="button" name="Submit2" value="Clean up pictures" onClick="window.location='setting.php?ac=cleanpic'">
              &nbsp; <input type="button" name="Submit22" value="Clear all votes" onClick="window.location='setting.php?ac=resetvotes'">
             &nbsp;  <input type="button" name="Submit3" value="Clear online users" onClick="window.location='setting.php?ac=resetonline'">
              <br>
              <br></td>
          </tr>
        </table>
        <input type="hidden" name="savesetting" value="yes">
      </form>
      <br></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
<?php
function getLanguages(){
	$lng = array();
	if ($handle =  opendir('../languages')) {
		while (false !== ($file = readdir($handle))) {
			if ($file != '.' && $file != '..' && substr($file,1) != '.') {
				$info = pathinfo($file);
				if(strtolower($info["extension"]) == "xml" && substr($file,0,5) != "data_"  && substr($file,0,5) != "help_"){					
					array_push($lng,substr($file,0,strlen($file)-4));
				}
			}
		}
		closedir($handle);
	}
	asort($lng);
	return $lng;
}

$db->close();
?>
