<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
include_once("scripts/library/nocache.php");
include_once("scripts/library/factory.php");
$factory 	= new factory();
$db 		= $factory->get_db();
$setting 	= $factory->getInstance("GSetting");
$language	= $factory->getInstance("language");

if ( $setting->get("allow_user_delete") != "yes" )
{
	die("This function is disabled");
}

$visichat_url = substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-12);
$visichat_url = "http://".$_SERVER["HTTP_HOST"].$visichat_url;

$language->language = $setting->get("language");
$language->load();

$error	= "";

$deleted = false;

if ( get("ac") == "delete")
{
	$res = $db->run_query("select * from ".$setting->get("members_table")." where ".$setting->get("username_field")."='".$db->escape_string(post("edtUsername"))."' and ".$setting->get("password_field")."='".$db->escape_string(md5(post("edtPassword")))."'");

	if($db->get_num_rows($res) == 0)
	{
		$error = "Invalid username or password";
	}
	else
	{
		$db->run_query("delete from ".$setting->get("members_table")." where ".$setting->get("username_field")."='".$db->escape_string(post("edtUsername"))."' and ".$setting->get("password_field")."='".$db->escape_string(md5(post("edtPassword")))."'");
		$deleted = true;
	}
	$db->free_result($res);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Delete Account</title>
<style type="text/css">
<!--
.windows_body thead td{
	background-color: <?php echo $setting->get("styles_window_title_bg");?>;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: <?php echo $setting->get("styles_window_title_text");?>;
}
.windows_body td{
	background-color: <?php echo $setting->get("styles_window_background");?>;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: <?php echo $setting->get("styles_window_text");?>;
}
-->
</style>
</head>
<body>

<?php 
if ( $error != "" )
{
?>
<div align="center" style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#FF0000;">
	<div style="width:300px; text-align:left; background-color:#FFFF99; padding:5px; padding-left:22px; border-bottom-color:#FFCC00; border-width:1px; border-style:solid; margin:5px;" align="center">
		<?php echo $error;?>
	</div>
</div>
<?php
}
?>

<?php 
if ( $deleted )
{
?>
  <table width="400" border="0" align="center" cellpadding="2" style="font-family:Arial, Helvetica, sans-serif; font-size:12px; border-width:1px; border-style:solid; border-color:#3399CC;" class="windows_body">
  <thead>
    <tr>
      <td align="center" bgcolor="#C2D7E2"><strong>Account Deleted</strong></td>
    </tr>
	</thead>
    <tr>
      <td align="center" bgcolor="#EEF3F7">Account deleted successfully. <br />
        <br />
      <br />
      <a href="/">Click here</a> to return </td>
    </tr>
  </table>

<?php
}
else
{
?>
<form id="form1" name="form1" method="post" action="?ac=delete&ln=<?php echo get("ln");?>">
  <table width="400" border="0" align="center" cellpadding="2" style="font-family:Arial, Helvetica, sans-serif; font-size:12px; border-width:1px; border-style:solid; border-color:#3399CC;" class="windows_body">
  <thead>
    <tr>
      <td colspan="2" align="center" bgcolor="#C2D7E2"><strong>Delete your account</strong></td>
    </tr>
	</thead>
    <tr>
      <td align="right" bgcolor="#EEF3F7"><?php echo $language->get("username");?></td>
      <td bgcolor="#EEF3F7"><input name="edtUsername" type="text" id="edtUsername" value="<?php echo post("edtUsername");?>" /></td>
    </tr>
    <tr>
      <td align="right" bgcolor="#EEF3F7"><?php echo $language->get("password");?></td>
      <td bgcolor="#EEF3F7"><input name="edtPassword" type="password" id="edtPassword" /></td>
    </tr>
    <tr>
      <td colspan="2" align="center" bgcolor="#EEF3F7"><input type="submit" name="Submit" value="Delete Your account" style="background-color:<?php echo $setting->get("styles_buttons_bg");?>; color:<?php echo $setting->get("styles_buttons_text");?>;" /></td>
    </tr>
  </table>
</form>
<?php
}
?>
</body>
</html>
<?php
$db->close();
?>