<?php

$version = "2.6.0";
set_time_limit(3600);
include_once("../scripts/library/nocache.php");
include_once("../scripts/library/factory.php");

$factory = new factory();
$db 		= $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("setting");


if($version == $setting->get("version")){
//	die("Your visichat is already updated to the latest version ($version)");
}


// Checking cache folder
if(!is_dir("../cache")){
  die("Please create <b>".realpath("..")."\cache</b> folder and then give it write permission, <a href='update.php'>Click Here</a> to try again.");
}
if(!is_writable("../cache")){
  die("give write permission to the cache folder");
}
$fp = fopen("../cache/test.php","w");
if($fp ===FALSE){
  die("give write permission to the cache folder");
}
fclose($fp);
unlink("../cache/test.php");

// Checking widgets folder
if(!is_dir("../widgets")){
  die("Please create <b>".realpath("..")."\widgets</b> folder and then give it write permission, <a href='update.php'>Click Here</a> to try again.");
}
if(!is_writable("../widgets")){
  die("give write permission to the widgets folder");
}
$fp = fopen("../widgets/test.php","w");
if($fp ===FALSE){
  die("give write permission to the widgets folder");
}
fclose($fp);
unlink("../widgets/test.php");


$current_version = str_replace(".","",$setting->get("version"));
if($current_version == ""){
	$current_version = 0;
}
$db->close();
$db->connect();
if($current_version<228){
	$members_table = $setting->get("members_table");
	$id_field = $setting->get("id_field");
	// Create new table to store membrs info
	$db->run_query("CREATE TABLE ".$config->prefix."members_info (
	  `visi_chat_user_id` varchar(155) NOT NULL,
	  `visi_chat_user_banned` tinyint(1) unsigned default '0',
	  `visi_chat_is_online` tinyint(1) unsigned default '0',
	  `visi_chat_login_time` double default '0',
	  `visi_chat_signup_time` double default '0',
	  `visi_chat_timely_ban` double default '0',
	  `visi_chat_is_mod` tinyint(1) unsigned default '0',
	  `visi_chat_user_ip` varchar(20) default '',
	  `visi_chat_salt` varchar(50) default NULL,
	  `visi_chat_gender` varchar(1) default NULL,
	  `visi_chat_picture` varchar(255) default NULL,
	  `visi_chat_year_of_birth` int(10) unsigned default NULL,
	  `visi_chat_set_profile` tinyint(1) unsigned NOT NULL default '0',
	  `visi_chat_allow_private` tinyint(1) unsigned NOT NULL default '1',
	  `visi_chat_email_code` varchar(255) NULL,
	  `visi_chat_email_verified` tinyint(1) unsigned default '0',
	  `visi_chat_paid_user` tinyint(1) unsigned default '1',
	  `visi_chat_allow_cam` tinyint(1) unsigned default '0',
	  `visi_chat_user_options` TEXT NULL,
	  `visi_chat_country` varchar(255) NULL,
	  `visi_chat_state` varchar(255) NULL,
	  `visi_chat_city` varchar(255) NULL,
	  `visi_chat_marital_status` varchar(255) NULL,
	  `visi_chat_about` varchar(255) NULL,
	  PRIMARY KEY  (`visi_chat_user_id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;");
	
	$db->run_query("alter TABLE ".$config->prefix."members_info add `visi_chat_country` varchar(255) NULL");
	$db->run_query("alter TABLE ".$config->prefix."members_info add `visi_chat_state` varchar(255) NULL");
	$db->run_query("alter TABLE ".$config->prefix."members_info add `visi_chat_city` varchar(255) NULL");
	$db->run_query("alter TABLE ".$config->prefix."members_info add `visi_chat_marital_status` varchar(255) NULL");
	$db->run_query("alter TABLE ".$config->prefix."members_info add `visi_chat_about` varchar(255) NULL");
	$db->run_query("CREATE TABLE ".$config->prefix."offline_messages ( id int(10) unsigned NOT NULL auto_increment,  m_from varchar(255) NOT NULL,  m_to VARCHAR(255) NOT NULL,  m_time double NOT NULL,  m_message VARCHAR(255) NOT NULL,  PRIMARY KEY (id))ENGINE = MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."friend_list ( id int(10) unsigned NOT NULL auto_increment,  username varchar(255) NOT NULL,  friendname VARCHAR(255) NOT NULL,  approved tinyint(3) NOT NULL default 1,  PRIMARY KEY (id))ENGINE = MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."block_list ( id int(10) unsigned NOT NULL auto_increment,  username varchar(255) NOT NULL,  blockname VARCHAR(255) NOT NULL,  PRIMARY KEY (id))ENGINE = MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."votes (  id int(10) unsigned NOT NULL auto_increment,  username varchar(255) NOT NULL,  friendname VARCHAR(255) NOT NULL,  vote_value int NOT NULL,  PRIMARY KEY (id))ENGINE = MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."online_users (`id` int(10) unsigned NOT NULL auto_increment,`visi_online_userid` int(10) NOT NULL, `visi_online_username` varchar(255) NOT NULL,`visi_online_login_time` double default '0', `visi_online_salt` varchar(50) default NULL, PRIMARY KEY (id))ENGINE = MyISAM;");

	// Visichat 2.2.8
	$db->run_query("alter TABLE ".$config->prefix."members_info add `visi_chat_credits` decimal(14,2) NULL default '0'");
	$db->run_query("alter TABLE ".$config->prefix."online_users add  `visi_online_salt` varchar(50) default NULL");
	$db->run_query("CREATE TABLE ".$config->prefix."badwords (`id` int(10) unsigned NOT NULL auto_increment,`badword` varchar(255) NOT NULL,  PRIMARY KEY  (`id`)) ENGINE=MyISAM;");
	
	// Move values
	
	$res =$db->run_query("select * from ".$config->prefix."members");
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		$res2 = $db->run_query("select * from ".$config->prefix."members_info where visi_chat_user_id=".$row[$id_field]);
		if($db->get_num_rows($res2)==0){
			$db->run_query("insert into ".$config->prefix."members_info (visi_chat_user_id,visi_chat_user_banned,visi_chat_is_online,visi_chat_login_time,visi_chat_signup_time,visi_chat_timely_ban,visi_chat_is_mod,visi_chat_user_ip,visi_chat_gender,visi_chat_picture,visi_chat_year_of_birth,visi_chat_set_profile,visi_chat_allow_private,visi_chat_email_code,visi_chat_email_verified,visi_chat_paid_user,visi_chat_allow_cam,visi_chat_user_options)
			values (".$row["id"].",".$row["visichat_user_banned"].",".$row["visichat_is_online"].",".$row["visichat_login_time"].",".$row["visichat_signup_time"].",".$row["visichat_timely_ban"].",".$row["visichat_is_mod"].",'".$row["visichat_user_ip"]."','".$row["visichat_gender"]."','".$row["visichat_picture"]."',".$row["visichat_year_of_birth"].",".$row["visichat_set_profile"].",".$row["visichat_allow_private"].",'".$row["visichat_email_code"]."',".$row["visichat_email_verified"].",".$row["visichat_paid_user"].",".$row["visichat_allow_cam"].",'".$row["visichat_user_options"]."')");
		}
		$db->free_result($res2);
	}
	$db->free_result($res);
	
	
	
	
	// Drop member fields
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_user_banned;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_is_online;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_login_time;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_signup_time;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_timely_ban;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_is_mod;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_user_ip;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_salt;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_gender;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_picture;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_year_of_birth;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_set_profile;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_allow_private;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_email_code;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_email_verified;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_paid_user;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_allow_cam;");
	$db->run_query("alter TABLE $members_table drop COLUMN visichat_user_options;");
	//  Fix setting
	$db->run_query("delete from ".$config->prefix."setting where set_property ='picture_field';");
	$db->run_query("insert into ".$config->prefix."setting values ('picture_field','visi_chat_picture');");
	
	$db->run_query("delete from ".$config->prefix."setting where set_property ='gender_field';");
	$db->run_query("insert into ".$config->prefix."setting values ('gender_field','visi_chat_gender');");
	
	$db->run_query("delete from ".$config->prefix."setting where set_property ='user_access_field';");
	$db->run_query("insert into ".$config->prefix."setting values ('user_access_field','visi_chat_paid_user');");
}
$db->close();
$db->connect();
if($current_version<229){
	// Visichat 2.2.9 update
	$db->run_query("ALTER TABLE ".$config->prefix."members ADD INDEX `Index_2`(`username`);");
	$db->run_query("ALTER TABLE ".$config->prefix."room_users ADD INDEX `Index_2`(`userid`);");
	$db->run_query("ALTER TABLE ".$config->prefix."room_users ADD INDEX `Index_3`(`roomid`);");
	$db->run_query("ALTER TABLE ".$config->prefix."friend_list ADD INDEX `Index_2`(`username`);");
	$db->run_query("ALTER TABLE ".$config->prefix."block_list ADD INDEX `Index_2`(`username`);");
	$db->run_query("ALTER TABLE ".$config->prefix."gallery_movies ADD INDEX `Index_2`(`userid`);");
	$db->run_query("ALTER TABLE ".$config->prefix."offline_messages ADD INDEX `Index_2`(`m_to`);");
	$db->run_query("alter TABLE ".$config->prefix."members_info add visi_chat_votes int default '0';");
	$db->run_query("alter TABLE ".$config->prefix."members_info add visi_chat_rate decimal(10,2) default '0';");
	$db->run_query("alter TABLE ".$config->prefix."setting MODIFY set_value text");
}
$db->close();
$db->connect();
if($current_version<230){
	// Visichat 2.3.0 Update
	$db->run_query("alter TABLE ".$config->prefix."rooms add room_order int NOT NULL default '0';");
	// Calculate votings
	$res = $db->run_query("select count(id) as cnt, avg(vote_value) as rate,friendname from ".$config->prefix."votes group by friendname");
	for($i=0;$i<$db->get_num_rows($res);$i++){
		$row = $db->fetch_assoc($res,$i);
		$db->run_query("update ".$config->prefix."members_info set visi_chat_votes=".$db->escape_string($row["cnt"]).", visi_chat_rate=".$row["rate"]." where visi_chat_user_id=".$db->escape_string(getIdByUsername($row["friendname"])));
	}
	$db->free_result($res);
}
$db->close();
$db->connect();
// Visichat 2.3.1 Update
if($current_version<231){
	$db->run_query("alter table ".$config->prefix."members_info drop index Index_2");
	$db->run_query("alter table ".$config->prefix."members_info drop visi_chat_infoid");
	$db->run_query("alter table ".$config->prefix."members_info add primary key (visi_chat_user_id)");
}
$db->close();
$db->connect();
// Visichat 2.3.2 Update
if($current_version<232){
	$picture_path ="../members/";
	$thumbnail_path = "../members/thumbnails/";

	if(!is_dir($thumbnail_path)){
		if(!mkdir($thumbnail_path)){
			die("Cannot create thumbnails folder, permission denied, please create members/thumbnails with 777 permission and try again.");
		}
		chmod($thumbnail_path,0777);
	}
	if(!is_writable($thumbnail_path)){
		die("Please add write permission to the $thumbnail_path folder and try again.");
	}
	
	if (is_dir($picture_path)) {
		$res = $db->run_query("select * from ".$setting->get("members_info_table"));
		for($i=0;$i<$db->get_num_rows($res);$i++){
			$row = $db->fetch_assoc($res,$i);
			$file = $row[$setting->get("picture_field")];
			if(is_file($picture_path.$file)){
				if(!is_file($thumbnail_path.$file)){
					resizebox($picture_path.$file, $thumbnail_path.$file,20,"jpg");
				}
			}
		
		}
	}

}
$db->close();
$db->connect();
// Visichat 2.3.2 Update
if($current_version<233){
	$db->run_query("alter table ".$config->prefix."rooms add room_draw tinyint(3) unsigned NOT NULL default '1'");
}
// Update version
$db->close();
$db->connect();
// Visichat 2.3.5 update
if($current_version<237){
	$db->run_query("CREATE TABLE ".$config->prefix."games ( id int(10) unsigned NOT NULL auto_increment,  g_title varchar(255) NOT NULL,  g_filename VARCHAR(255) NOT NULL,  g_priority int UNSIGNED NOT NULL default '0',  g_active tinyint(3) unsigned NOT NULL default '1',  g_rate int UNSIGNED NOT NULL default '0',  g_votes int UNSIGNED NOT NULL default '0',  g_width int UNSIGNED NOT NULL default '0',  g_height int UNSIGNED NOT NULL default '0',  g_played int UNSIGNED NOT NULL default '0',  g_time double default '0',  PRIMARY KEY (id))ENGINE = MyISAM;");
}

// Visichat 2.3.7 update
if($current_version<238){
	$db->run_query("alter table ".$config->prefix."rooms add room_creator int(10) NULL default '0'");
	$db->run_query("alter TABLE ".$config->prefix."members_info add visi_chat_expire double default '0'");
	$db->run_query("alter TABLE ".$config->prefix."members_info add visi_chat_online_sec double default '0'");
	$db->run_query("alter TABLE ".$config->prefix."members_info add visi_chat_last_online varchar(20) default '00-00-0000'");
}
// Visichat 2.4.2 update
if($current_version<243){
	$db->run_query("alter table ".$config->prefix."online_users add visi_client_id varchar(50) NULL");
	$db->run_query("CREATE TABLE ".$config->prefix."transactions (`tra_id` int(10) unsigned NOT NULL auto_increment,`tra_sender_id` int(12) NOT NULL,`tra_receiver_id` int(12) NOT NULL,`tra_amount` decimal(14,2) default '0',`tra_reason` int default '0',`tra_date` double default '0',`tra_type` varchar(255) NULL,`tra_ticket` varchar(255) NULL,PRIMARY KEY  (`tra_id`)) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
}
// Visichat 2.4.3 update
if($current_version<244){
	$db->run_query("CREATE TABLE ".$config->prefix."secure_setting (  `set_property` varchar(50) NOT NULL,  `set_value` text NULL,  PRIMARY KEY  (`set_property`)) ENGINE=MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."gateways (id int(10) unsigned NOT NULL auto_increment, g_name varchar(255) NOT NULL,  g_title varchar(255) NULL,  g_credit decimal(14,2) default '1',  g_active tinyint(3) unsigned NOT NULL default '0',  g_order int UNSIGNED NOT NULL default '0',  PRIMARY KEY (id))ENGINE = MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."gateway_options (  g_id int(10) unsigned NOT NULL,  o_name varchar(255) NOT NULL,  o_value text NULL)ENGINE = MyISAM;");
	$db->run_query("alter table ".$config->prefix."transactions add tra_type varchar(255) NULL");
	$db->run_query("alter table ".$config->prefix."transactions add tra_ticket varchar(255) NULL");	
	$db->run_query("alter table ".$config->prefix."rooms add room_adult tinyint(3) unsigned NOT NULL default '0'");
	$db->run_query("alter table ".$config->prefix."rooms add room_premium tinyint(3) unsigned NOT NULL default '0'");
}
// Visichat 2.4.5 update
if($current_version<246){
	$db->run_query("alter table ".$config->prefix."log_history add l_access tinyint NULL");
	$db->run_query("alter table ".$config->prefix."online_users add visi_room_id int(10) default '0'");
}
// Visichat 2.4.6 update
if($current_version<247){
	$db->run_query("CREATE TABLE ".$config->prefix."ip2country (  i_from int(10) unsigned NOT NULL,  i_to int(10) unsigned NOT NULL,  i_code varchar(2) NULL,  i_name varchar(40) NULL,  PRIMARY KEY (i_from))ENGINE = MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."bancountry(  b_code varchar(2)  NOT NULL, b_name varchar(40) NULL, PRIMARY KEY (b_code))ENGINE = MyISAM;");
}
// Visichat 2.4.7 update
if($current_version<248){
	$db->run_query("CREATE TABLE ".$config->prefix."reports(id int(10) unsigned NOT NULL auto_increment,r_type smallint unsigned NOT NULL,username varchar(50) NULL,r_ip varchar(20) NULL,r_date double default '0',r_var varchar(50) NULL,PRIMARY KEY (id))ENGINE = MyISAM;");
}

// Visichat 2.4.9 update
if($current_version<250){
	$db->run_query("CREATE TABLE ".$config->prefix."emails(id int(10) unsigned NOT NULL auto_increment,subject varchar(255) NULL,c_date double default '0', message text NULL,PRIMARY KEY (id))ENGINE = MyISAM;");
	$db->run_query("CREATE TABLE ".$config->prefix."password_recovery(id int(10) unsigned NOT NULL auto_increment,user_id int(10) not NULL,r_date double default '0',ip varchar(255) NOT NULL,keycode varchar(255) NOT NULL,  PRIMARY KEY (id))ENGINE = MyISAM;");
}

// Visichat 2.5.1 update
if($current_version<252){
	$db->run_query("alter table ".$config->prefix."gallery_movies add video tinyint not NULL default 1");
	$db->run_query("alter table ".$config->prefix."members_info add visi_chat_who_view_mycam tinyint(1) unsigned NOT NULL default '1'");
	$db->run_query("alter table ".$config->prefix."reports add u_ip varchar(20) NULL");	
}

// Visichat 2.5.2 update
if($current_version<253){
	$db->run_query("update ".$config->prefix."gateways set g_name='allopass-sms' where g_name='allopass'");
	$db->run_query("create table ".$config->prefix."widgets(id int(10) unsigned NOT NULL auto_increment,w_title varchar(255) NOT NULL,w_filename VARCHAR(255) NOT NULL,w_location VARCHAR(2) NOT NULL,w_height INTEGER default '0',w_room INTEGER UNSIGNED NOT NULL default '0',w_active tinyint(3) unsigned NOT NULL default '1',PRIMARY KEY (id))ENGINE = MyISAM;");
}

// Visichat 2.5.3 update
if($current_version<254){
	if(strpos($setting->get("allowed_files"), "mp3")===FALSE){
		$setting->set("allowed_files",$setting->get("allowed_files").",mp3");
	}
}
// Visichat 2.5.4 update
if($current_version<255){
	$db->run_query("alter table ".$config->prefix."widgets add w_parameter text NULL");	
}

// Visichat 2.5.5 update
if($current_version<256){
	$db->run_query("alter table ".$config->prefix."rooms add room_upload tinyint(3) unsigned NOT NULL default '1'");	
	$db->run_query("alter table ".$config->prefix."rooms add room_youtube tinyint(3) unsigned NOT NULL default '1'");	
	$db->run_query("alter table ".$config->prefix."banip add bantype int NOT NULL default 1");
	$db->run_query("alter table ".$config->prefix."banip modify ip varchar(255)");
	$db->run_query("alter table ".$config->prefix."banip drop primary key, add primary key(ip)");
}

// Visichat 2.5.6 update
if($current_version<257){
	$db->run_query("alter table ".$config->prefix."widgets add w_link varchar(255)");	
	$db->run_query("alter table ".$config->prefix."reports add description varchar(255) NULL");
}

// Visichat 2.5.7 update
if($current_version<258){
	$db->run_query("alter table ".$config->prefix."rooms add room_gender tinyint(3) unsigned NOT NULL default '0'");
	$db->run_query("alter table ".$config->prefix."transactions add tra_referral int(10) unsigned NOT NULL default '0'");
}

// Visichat 2.5.9 update
if($current_version<260){
	$db->run_query("alter table ".$config->prefix."members_info add `visi_chat_invisible` tinyint(1) default '0'");
	$db->run_query("alter table ".$config->prefix."members_info add `visi_chat_allow_invisible` tinyint(1) default '0'");
}


$db->close();
$db->connect();
$db->run_query("delete from ".$config->prefix."setting where set_property ='version';");
$db->run_query("insert into ".$config->prefix."setting values ('version','".$version."');");

// Refresh license info
$setting->set("version",$version);
$setting->save();
$visichat = $factory->getInstance("visichat");
$visichat->check_updates();
$db->close();
function getIdByUsername($username){
	global $setting,$db;
	$id = 0;
	if($username == ""){
		return 0;
	}
	$res = $db->run_query("select * from ".$setting->get("members_table")." where ".$setting->get("username_field")."='".$db->escape_string($username)."'");
	if($db->get_num_rows($res)>0){
		$row = $db->fetch_assoc($res);
		$id = $row[$setting->get("id_field")];
	}
	$db->free_result($res);
	return $id;
}
function resizebox($filein, $fileout, $newwidth,$ext){
	list($width, $height) = getimagesize($filein);
   $newheight=$newwidth; 
	if($ext=="jpg"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);
	   $source = @imagecreatefromjpeg("$filein");
	}	   
	if($ext=="gif"){
		$thumb = @imagecreate($newwidth,$newheight);		
	   $source = @imagecreatefromgif("$filein");
	}
	if($ext=="png"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);		
	   $source = @imagecreatefrompng("$filein");
	}
	if($source ){		
		$background_cl = imagecolorallocate($thumb,255,255,255);		
		imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		imagejpeg($thumb, $fileout,90);
		return true;
	}
	return false;
}
?><br />
Visichat <?php echo $version;?> databased updated successfully, please delete this file from your server.
