<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
session_start();
include_once("../library/factory.php");
$factory = new factory();
$db = $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$transaction_types = array("Unknown","Send Credit","Receive Credit","Buy Credits");
$months = array("January","February","March","April","May","June","July","August","September","October","November","December");

if(isset($_POST["u"]) && isset($_POST["p"]) && $_POST["u"] != "" && $_POST["p"] != ""){
	$request_user = $_POST["u"];
	$request_pass = $_POST["p"];
}else{
	if(isset($_SESSION["visichat_tra_uname"]) && isset($_SESSION["visichat_tra_upass"]) && $_SESSION["visichat_tra_uname"] != ""){
		$request_user = $_SESSION["visichat_tra_uname"];
		$request_pass = $_SESSION["visichat_tra_upass"];
	}
}
$result = "";
$username = "";
$allow = true;

$res = $db->run_query("select * from ".$members_table." where ".$username_field."='".$db->escape_string($request_user)."' and ".$password_field."='".$db->escape_string($request_pass)."'");
if($db->get_num_rows($res)==0){
	$result = "";
	$allow = false;
}else{
	$_SESSION["visichat_tra_uname"] = $request_user;
	$_SESSION["visichat_tra_upass"] = $request_pass;
	$row = $db->fetch_assoc($res);
	$user_id = $row[$id_field];
	$username = $row[$username_field];
}
$db->free_result($res);


$select_query = "select * from ".$members_table." as A left join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where ".$id_field."=".$db->escape_string($user_id);

if($allow){
	$res = $db->run_query($select_query);
	if($db->get_num_rows($res)==0){
		$result = "";
		$allow = false;
	}else{
		$row = $db->fetch_assoc($res);
	}
	$db->free_result($res);
}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><?php echo $username;?> transactions</title>
<link href="../../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:fixed;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
 <?php if($allow){?>
<div align="center"><b><?php echo ucfirst($username);?></b>'s Transactions:</div>
	   <?php
		  if($_GET["d"]==""){
		  	$transactions = $db->run_query("select * from ".$config->prefix."transactions as A left join ".$members_table." as B on A.tra_receiver_id=B.".$id_field."  where tra_sender_id=".$db->escape_string($row[$id_field]));
		  }else{
		  	$month = date("n")-($_GET["d"]-1);
			$year = date("Y");
			if($month<0){
				$month = $month+12;
				$year--;
			}
		  	$start 	= mktime (0,0,1, $month, 1, $year);
			$end 	= mktime (0,0,1, $month+1, 1, $year);
		 	$transactions = $db->run_query("select * from ".$config->prefix."transactions as A left join ".$members_table." as B on A.tra_receiver_id=B.".$id_field."  where A.tra_date>=".$start." and A.tra_date<".$end." and tra_sender_id=".$db->escape_string($user_id));
		  }
		  
		  ?>
        <table width="600" border="0" align="center" cellpadding="5" class="TextBlack12">
          <tr>
            <td  align="center" bgcolor="#CCCCCC"><select name="period" id="period" onChange="window.location='transactions.php?d='+this.value">
			  <option value="">All Time</option>
			  <?php for($i=date("n")-1;$i>=0;$i--){
			  $value = (date("n"))-$i;?>
			  <option value="<?php echo $value;?>" <?php if($_GET["d"]==$value){?> selected="selected" <?php }?>><?php echo $months[$i];?> <?php echo date("Y");?></option> 
			  <?php }?>
			  <?php for($i=11;$i>=0;$i--){
			  	$value = 12+date("n")-$i;?>
			  <option value="<?php echo $value;?>" <?php if($_GET["d"]==$value){?> selected="selected" <?php }?>><?php echo $months[$i];?> <?php echo date("Y")-1;?></option>
			  <?php }?>
			  
              </select>
            </td>
          </tr>
		 
		  <tr>
            <td align="center" bgcolor="#FFFFFF"><table width="100%" border="0" bgcolor="#CCCCCC" class="TextBlack12">
              <tr>
			   <td align="center" bgcolor="#FFFFFF"><strong>Type</strong></td>
                <td bgcolor="#FFFFFF"><strong>From/To</strong></td>               
				 <td bgcolor="#FFFFFF"><strong>Date</strong></td>
                <td width="80" align="center" bgcolor="#FFFFFF"><strong>Credits</strong></td>
              </tr>
			  <?php 
			  $total =0;
			  $total_recieved = 0;
			  $total_send	=0;
			  for($i=0;$i<$db->get_num_rows($transactions);$i++){
			  $tra_row = $db->fetch_assoc($transactions,$i);
			  $amount = $tra_row["tra_amount"];
			  $total += $amount;
			  if($amount>0){
			  	$amount = "+".$amount;
			  }else{
			  	$amount = "<font color='#FF0000'>".$amount."</font>";
			  }
			  if($tra_row["tra_reason"]==2){
			  	$total_recieved+= $tra_row["tra_amount"];
			  }
			  if($tra_row["tra_reason"]==1){
			  	$total_send+= $tra_row["tra_amount"];
			  }
			  ?>
              <tr>
			  <td align="center" bgcolor="#EAEDF2"><?php echo $transaction_types[$tra_row["tra_reason"]];?></td>
                <td bgcolor="#EAEDF2"><?php echo $tra_row[$username_field];?></td>
               <td bgcolor="#EAEDF2"><?php echo date("F j, Y, G:i",$tra_row["tra_date"]);?></td>
                <td align="center" bgcolor="#EAEDF2"><?php echo $amount;?></td>
              </tr>
			  <?php }?>
			     <tr>
			  <td colspan="3" align="right" bgcolor="#EAEDF2">Total:</td>
                <td align="center" bgcolor="#EAEDF2"><b><?php echo number_format($total,2);?></b></td>
              </tr>
			     <tr>
			  <td colspan="3" align="right" bgcolor="#EAEDF2">Total Received:</td>
                <td align="center" bgcolor="#EAEDF2"><b><?php echo number_format($total_recieved,2);?></b></td>
              </tr>			  
			     <tr>
			  <td colspan="3" align="right" bgcolor="#EAEDF2">Total Send:</td>
                <td align="center" bgcolor="#EAEDF2"><b><?php echo number_format($total_send,2);?></b></td>
              </tr>			  
            </table></td>
		  </tr>
		  <?php
		  $db->free_result($transactions);
		  ?>
          <tr>
            <td align="center" bgcolor="#FFFFFF"><input type="button" name="Button" value="Close" onClick="window.close();"></td>
          </tr>
        </table>
 
	  <?php }else{ ?>
	  <form name="form1" method="post" action="">
   
	  <table width="400" border="0" align="center" cellpadding="4" bgcolor="#CCCCCC" class="TextBlack12">
        <tr>
          <td colspan="2" bgcolor="#EAEDF2">Please Enter your username and password: </td>
        </tr>
        <tr>
          <td align="right" bgcolor="#EAEDF2">username:</td>
          <td bgcolor="#EAEDF2"><input name="u" type="text" id="u"></td>
        </tr>
        <tr>
          <td align="right" bgcolor="#EAEDF2">Password:</td>
          <td bgcolor="#EAEDF2"><input name="p" type="password" id="p"></td>
        </tr>
        <tr>
          <td colspan="2" align="center" bgcolor="#EAEDF2"><input type="submit" name="Submit" value="Submit"></td>
        </tr>
      </table>
</form> 
	  
	  <?php }?>

</body>
</html>
