<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
include_once("library/factory.php");
header("Content-type: text/xml");
$factory = new factory();
$setting = $factory->getInstance("GSetting");
echo '<?xml version="1.0" encoding="iso-8859-1"?>';?>
<player5>
	<controllbar>
		<background><?php echo $setting->get("mediaplayer_controllbar_background");?></background>
		<border><?php echo $setting->get("mediaplayer_controllbar_border");?></border>
		<background_value><?php echo $setting->get("mediaplayer_controllbar_background_value");?></background_value>
		<text><?php echo $setting->get("mediaplayer_controllbar_text");?></text>
		<load><?php echo $setting->get("mediaplayer_controllbar_load");?></load>
		<inner_border><?php echo $setting->get("mediaplayer_controllbar_inner_border");?></inner_border>
		<show_Back><?php getBoolean("mediaplayer_show_Back");?></show_Back>
		<show_Stop><?php getBoolean("mediaplayer_show_Stop");?></show_Stop>
		<show_Next><?php getBoolean("mediaplayer_show_Next");?></show_Next>
		<show_timer><?php getBoolean("mediaplayer_show_timer");?></show_timer>
		<show_equalizer><?php getBoolean("mediaplayer_show_equalizer");?></show_equalizer>
		<show_Volume><?php getBoolean("mediaplayer_show_Volume");?></show_Volume>
		<show_pan><?php getBoolean("mediaplayer_show_pan");?></show_pan>
	</controllbar>
	<titlebar>
		<enable><?php getBoolean("mediaplayer_show_titlebar");?></enable>
		<background><?php echo $setting->get("mediaplayer_titlebar_background");?></background>
		<text><?php echo $setting->get("mediaplayer_titlebar_text");?></text>
		<icon><?php echo $setting->get("mediaplayer_titlebar_icon");?></icon>
		<alpha><?php echo $setting->get("mediaplayer_titlebar_alpha");?></alpha>
		<delay_seconds><?php echo $setting->get("mediaplayer_titlebar_delay_seconds");?></delay_seconds>
	</titlebar>
	<display>
		<background><?php echo $setting->get("mediaplayer_display_background");?></background>
		<border><?php echo $setting->get("mediaplayer_display_border");?></border>
		<scrollbar_bg><?php echo $setting->get("mediaplayer_scrollbar_bg");?></scrollbar_bg>
		<scroll_color><?php echo $setting->get("mediaplayer_scroll_color");?></scroll_color>
	</display>
	<playlist>
		<track_height><?php echo $setting->get("mediaplayer_playlist_track_height");?></track_height>
		<track_background><?php echo $setting->get("mediaplayer_playlist_track_background");?></track_background>
		<track_selected><?php echo $setting->get("mediaplayer_playlist_track_selected");?></track_selected>
		<track_time><?php echo $setting->get("mediaplayer_playlist_track_time");?></track_time>
		<track_text><?php echo $setting->get("mediaplayer_playlist_track_text");?></track_text>
		<icon><?php echo $setting->get("mediaplayer_playlist_icon");?></icon>
	</playlist>
</player5>
<?php
function getBoolean($value){
	global $setting;
	if($setting->get($value)=="yes"){
		echo "true";
		return;
	}
	echo "false";
}
?>