<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$config 	= $factory->getInstance("config");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$room_table = $setting->get("room_table");
$room_users_table = $setting->get("room_users_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$picture_field = $setting->get("picture_field");
$email_field = $setting->get("email_field");
$user_access_field = $setting->get("user_access_field");
$user_access_allow_value = $setting->get("user_access_allow_value");
$user_access_deny_value = $setting->get("user_access_deny_value");
$integrate = $setting->get("integrate");
$options = array("allowcam","allowvoice");
$months = array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");
if($setting->get("allow_user_camvoice")=="" || $setting->get("allow_user_camvoice") == "yes"){
	$default_cam_allowance = true;
}else{
	$default_cam_allowance = false;
}
$email_msg = "";
$result = "";
$allow = true;
$user = $_GET["u"];
if(!is_numeric($user) || $user == ""){
	$result = "User not found";
	$allow = false;
}
/*if($_SESSION["visichat_access"]<>"1"){
	$result = "You don't have access to this page";
	$allow = false;
}*/


$select_query = "select * from ".$members_table." as A left join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where ".$id_field."=".$db->escape_string($user);

$rcheck = $db->run_query("select * from ".$members_info_table." where visi_chat_user_id=".$db->escape_string($user));
if($db->get_num_rows($rcheck)==0){
	$db->run_query("insert into ".$members_info_table." (visi_chat_user_id) values(".$db->escape_string($user).")");
}
$db->free_result($rcheck);
if($allow){
	$res = $db->run_query($select_query);
	if($db->get_num_rows($res)==0){
		$result = "User not found";
		$allow = false;
	}else{
		$row = $db->fetch_assoc($res);
	}
	$db->free_result($res);
}
if($allow){
	if($_GET["ac"]=="dp"){
		if($_SESSION["visichat_access"] == "1"){
			if($config->dbtype=="mysql"){
				$db->run_query("update ".$members_table." as A left join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id set ".$picture_field."=NULL where ".$id_field."=".$db->escape_string($user));
			}else{
			 	$db->run_query("update ".$members_info_table." set ".$picture_field."=NULL where visi_chat_user_id=".$db->escape_string($user));
			}
			$res = $db->run_query($select_query);
			$row = $db->fetch_assoc($res);
		}else{
			$result = "You don't have access to this function";
		}
	}
	if($_GET["ac"]=="up"){
		if($_SESSION["visichat_access"] == "1"){
			$tmp_mod = $_POST["moderator"];
			if(!is_numeric($tmp_mod) || $tmp_mod<0 || $tmp_mod>3){
				$tmp_mod=0;
			}
			if($_POST["visichat_allow_cam"]=="1"){$view_cam="1";}else{$view_cam="0";}
			if($_POST["ban"] =="1"){$tmp_ban="1";}else{$tmp_ban ="0";}
			$tmp_private ="1";
			if($_POST["private"] =="0" || $_POST["private"] =="2"){
				$tmp_private = $_POST["private"];
			}
			if($_POST["force_edit"]=="1"){$tmp_edit="1";}else{$tmp_edit="0";}
			$tmp_timeban = $row["timely_ban"];
			if($_POST["time_ban_minutes"]!= "" && is_numeric($_POST["time_ban_minutes"])){
				$tmp_timeban = time()+($_POST["time_ban_minutes"]*60);
			}
			
			if($_POST["time_ban_minutes"] == "0"){
				$tmp_timeban = 0;
			}
			
			if($_POST["email_verified"]=="1"){$email_verified = "1";}else{$email_verified = "0";}
			if($_POST["paid_user"]==$user_access_allow_value){$paid_user = $user_access_allow_value;}else{$paid_user=$user_access_deny_value;}
			if($_POST["newpass"] != ""){
				$tmp_pass = $_POST["newpass"];
				if($setting->get("pass_encrypt")=="md5"){
				$tmp_pass = md5($tmp_pass);
				}
				$db->run_query("update ".$members_table." set ".$password_field."='".$tmp_pass."' where ".$id_field."=".$db->escape_string($user));
			}
			
			for($i=0;$i<count($options);$i++){
				if($_POST[$options[$i]] == "1"){
					$tmpinfo[$options[$i]] = "1";
				}else{
					$tmpinfo[$options[$i]] = "0";
				}
			}
			$tmpinfo = base64_encode(serialize($tmpinfo));
			
			// Expire date
			if(isset($_POST["day"]) && isset($_POST["month"]) && isset($_POST["year"])){
				if($_POST["day"] ==0 && $_POST["month"] == 0 && $_POST["year"]==0){
					$date = "0";
				}
				if($date != "0"){
					if(is_numeric($_POST["day"]) && is_numeric($_POST["month"]) && is_numeric($_POST["year"])){
						if(checkdate($_POST["month"],$_POST["day"],$_POST["year"])){
							$date= mktime(23,59,59,$_POST["month"],$_POST["day"],$_POST["year"]);
						}else{
							$result = "This date is not valid!<br>";
							$date = $row["visi_chat_expire"];
						}
					}
					if($date == ""){
						$date = $row["visi_chat_expire"];
					}
				}
				
			}else{
				$date = $row["visi_chat_expire"];
			}
			// Change username
			if($_POST["username"] != $row[$setting->get("username_field")] && $_POST["username"] != ""){
				$chk = $db->run_query("select * from ".$members_table." where ".$setting->get("username_field")."='".$db->escape_string($_POST["username"])."' and ".$id_field." <> ".$db->escape_string($row[$id_field]));
				if($db->get_num_rows($chk)>0){
					$email_msg = "<li>This Username (".$_POST["username"].") is already registered with another account!</li>";
				}else{
					$db->run_query("update ".$members_table." set ".$setting->get("username_field")."='".$db->escape_string($_POST["username"])."' where ".$id_field."=".$db->escape_string($row[$id_field]));					
					$email_msg = "<li>Username updated successfully!</li>";
				}
				$db->free_result($chk);
			}
			
			//
			if($row[$setting->get("email_field")] != $_POST["email"]  && $_POST["email"] != ""){
				$chk = $db->run_query("select * from ".$members_table." where ".$setting->get("email_field")."='".$db->escape_string($_POST["email"])."' and ".$id_field." <> ".$db->escape_string($row[$id_field]));
				if($db->get_num_rows($chk)>0){
					$email_msg .= "<li>This email address(".$_POST["email"].") is already registered with another account!</li>";
				}else{
					$db->run_query("update ".$members_table." set ".$setting->get("email_field")."='".$db->escape_string($_POST["email"])."' where ".$id_field."=".$db->escape_string($row[$id_field]));
					$email_msg .= "<li>Email address updated successfully.</li>";
				}
				$db->free_result($chk);
			}
			
			$default_invisible = 0;
			$allow_invisible = 0;
			if ($_POST["def_invisible"] == "1")
			{
				$default_invisible = "1";
			}
			
			if($_POST["invisible"] == "1")
			{
				$allow_invisible = "1";
			}
			
			
			if($user_access_field== "" || $paid_user == "" || $user_access_field != "visi_chat_paid_user"){
				$db->run_query("update ".$members_info_table." set visi_chat_is_mod=$tmp_mod,visi_chat_allow_cam=$view_cam,visi_chat_user_banned=$tmp_ban,visi_chat_allow_private=$tmp_private,visi_chat_set_profile=$tmp_edit,visi_chat_timely_ban=$tmp_timeban,visi_chat_email_verified=$email_verified, visi_chat_invisible=$default_invisible, visi_chat_allow_invisible=$allow_invisible, visi_chat_user_options='".$db->escape_string($tmpinfo)."',visi_chat_expire=".$db->escape_string($date)." where visi_chat_user_id=".$db->escape_string($user));
			}else{
				$db->run_query("update ".$members_info_table." set $user_access_field=$paid_user,visi_chat_is_mod=$tmp_mod,visi_chat_allow_cam=$view_cam,visi_chat_user_banned=$tmp_ban,visi_chat_allow_private=$tmp_private,visi_chat_set_profile=$tmp_edit,visi_chat_timely_ban=$tmp_timeban,visi_chat_email_verified=$email_verified, visi_chat_invisible=$default_invisible, visi_chat_allow_invisible=$allow_invisible, visi_chat_user_options='".$db->escape_string($tmpinfo)."',visi_chat_expire=".$db->escape_string($date)." where visi_chat_user_id=".$db->escape_string($user));
			}
			$result = "Profile updated successfully";
			$res = $db->run_query($select_query);
			$row = $db->fetch_assoc($res);
		}else{
			$result = "You don't have access to this function";
		}
	}
	if($_GET["ac"]=="ur"){
		if($_SESSION["visichat_access"] == "1"){
		
			// Update Permissions
			
			$rs_room = $db->run_query("select * from ".$room_table." where room_type='p' and room_public=0");
			for($i=0;$i<$db->get_num_rows($rs_room);$i++){
				$room_row = $db->fetch_assoc($rs_room,$i);
				if($_POST["room".$room_row["room_id"]] == "yes"){
					$allowed =1;
				}else{
					$allowed =0;
				}
				$db->run_query("delete from ".$room_users_table."  where roomid=".$room_row["room_id"]." and userid=".$row[$id_field]);
				$db->run_query("insert into ".$room_users_table."(roomid,userid,room_lock) values(".$room_row["room_id"].",".$row[$id_field].",$allowed)");
			}
			$db->free_result($rs_room);
		}else{
			$result = "You don't have access to this function";
		}
	}
	$rs_room = $db->run_query("select * from ".$room_table." where room_type='p'");
	$rooms = array();
	for($i=0;$i<$db->get_num_rows($rs_room);$i++){
		$room_row = $db->fetch_assoc($rs_room,$i);
		$tmp_rs = $db->run_query("select * from ".$room_users_table." where roomid=".$room_row["room_id"]." and userid=".$row[$id_field]);
		if($db->get_num_rows($tmp_rs)==0){
			$allowed = $room_row["room_public"];
		}else{
			$tmp_row = $db->fetch_assoc($tmp_rs);
			$allowed = $tmp_row["room_lock"];
		}
		$rooms[] = array(
		"name"=>$room_row["room_name"],
		"allow"=>$allowed,
		"type"=>$room_row["room_public"],
		"id"=>$room_row["room_id"]
		);
		$db->free_result($tmp_rs);
	}
	$db->free_result($rs_room);
}

if($allow){
	$user_options = unserialize(base64_decode($row["visi_chat_user_options"]));
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gchats Visichat Admin Menu: Edit User</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="users.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="users.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText">
  <?php if($email_msg != ""){ ?>
  <font color="#FFCC00"><b><?php echo $email_msg;?></b></font><br>
  <?php }?>
  <?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Users Administration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="90%" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><br>
      <?php if($allow){?>
      <form name="form1" method="post" action="edit.php?ac=up&u=<?php echo $user;?>" onSubmit="return check_confirm();">
        <table width="450" border="0" align="center" cellpadding="5" class="TextBlack12">
          <tr>
            <td colspan="2" align="center" bgcolor="#CCCCCC"><strong>Profile</strong></td>
          </tr>
          <tr>
            <td width="50%" align="right" bgcolor="#FFFFFF">Username : </td>
            <td bgcolor="#FFFFFF"><input type="text" name="username" value="<?php echo $row[$username_field];?>" <?php if($config->prefix."members" == $setting->get("$members_table")){?> readonly="readonly"<?php }?> /></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Email : </td>
            <td bgcolor="#FFFFFF"><input type="text" name="email" value="<?php safe_write($row[$email_field]);?>" /></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Last Login: </td>
            <td bgcolor="#FFFFFF"><?php if($row["visi_chat_login_time"]==0){;?>
              Never
              <?php }else{ echo date($setting->get("date_format"),$row["visi_chat_login_time"]); }?></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">IP Address: </td>
            <td bgcolor="#FFFFFF"><?php safe_write($row["visi_chat_user_ip"]);?></td>
          </tr>
          <?php if($integrate == "" || $setting->get("pass_encrypt")=="md5"){ ?>
          <tr>
            <td align="right" bgcolor="#FFFFFF">New Password : </td>
            <td bgcolor="#FFFFFF"><input name="newpass" type="text" id="newpass"></td>
          </tr>
          <?php }?>
          <tr>
            <td align="right" bgcolor="#FFFFFF">User Type :</td>
            <td bgcolor="#FFFFFF"><select name="moderator" id="moderator">
                <option value="0" <?php if($row["visi_chat_is_mod"]==0){?> selected="selected" <?php }?>>Registered User</option>
                <option value="2" <?php if($row["visi_chat_is_mod"]==2){?> selected="selected" <?php }?>>Premium User</option>
                <option value="1" <?php if($row["visi_chat_is_mod"]==1){?> selected="selected" <?php }?>>Moderator</option>
                <option value="3" <?php if($row["visi_chat_is_mod"]==3){?> selected="selected" <?php }?>>Administrator</option>
              </select>
            </td>
          </tr>
          <?php if($row["visi_chat_is_mod"]==1 || $row["visi_chat_is_mod"]==2){?>
          <tr>
            <td align="right" bgcolor="#FFFFFF"><img src="../images/help.jpg" align="absmiddle" title="Expired premium users will change to registered users automatically." />Expire Date (Moderator and Premium only)  :</td>
            <td bgcolor="#FFFFFF"><?php 
			if($row["visi_chat_expire"] == 0 || $row["visi_chat_expire"]==""){
				$day = 0;
				$month = 0;
				$year = 0;
				$expire_text = "Never";
			}else{
				
				$day = date("j",$row["visi_chat_expire"]);
				$month = date("n",$row["visi_chat_expire"]);
				$year = date("Y",$row["visi_chat_expire"]);
				if($row["visi_chat_expire"]<time()){
					$expire_text = "<font color='#FF0000'><b>Expired</b></font>";
				}else{
					$diff = floor(($row["visi_chat_expire"]-time())/86400) ;
					$seconds = $row["visi_chat_expire"]-time();
					$hour = floor($seconds/3600);
					$minute = floor(($seconds-($hour*24))/60);
					if($diff == 0){
						if($hour ==0){
							$expire_text = "Expires in <b>".$minute."</b> minutes";
						}else{
							$expire_text = "Expires in <b>".$hour."</b> hours, <b>".$minute."</b> minutes";
						}
					}else{
						$expire_text = "Expires in <b>".$diff."</b> days";
					}
				}
			}
			?>
              <select name="month">
                <option value="0">----</option>
                <?php for($i=1;$i<=12;$i++){?>
                <option value="<?php echo $i;?>" <?php if($month==$i){?> selected="selected"<?php }?>><?php echo $months[$i-1];?></option>
                <?php }?>
              </select>
              <select name="day">
                <option value="0">----</option>
                <?php for($i=1;$i<=31;$i++){?>
                <option value="<?php echo $i;?>" <?php if($day==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
                <?php }?>
              </select>
              <select name="year">
                <option value="0">----</option>
                <?php for($i=date("Y")-5;$i<=2020;$i++){?>
                <option value="<?php echo $i;?>" <?php if($year==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
                <?php }?>
              </select>
              <br>
              <?php echo $expire_text;?> </td>
          </tr>
          <?php }?>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Allow Invisible:</td>
            <td bgcolor="#FFFFFF"><select name="invisible" id="invisible">
                <option value="1" <?php if($row["visi_chat_allow_invisible"]==1){?> selected="selected" <?php }?>>Yes</option>
                <option value="0" <?php if($row["visi_chat_allow_invisible"]==0){?> selected="selected" <?php }?>>No</option>
              </select>
            </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Visibility Status:<br>
              (Moderator and Admin only):</td>
            <td bgcolor="#FFFFFF"><select name="def_invisible" id="def_invisible">
                <option value="0" <?php if($row["visi_chat_invisible"]==0){?> selected="selected" <?php }?>>Visible</option>
                <option value="1" <?php if($row["visi_chat_invisible"]==1){?> selected="selected" <?php }?>>Invisible</option>
              </select>
            </td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Ban:</td>
            <td bgcolor="#FFFFFF"><select name="ban" id="ban">
                <option value="0" <?php if($row["visi_chat_user_banned"]==0){?> selected="selected" <?php }?>>No</option>
                <option value="1" <?php if($row["visi_chat_user_banned"]==1){?> selected="selected" <?php }?>>Yes</option>
              </select></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Timely Ban:</td>
            <td bgcolor="#FFFFFF"><?php if(time()>$row["visi_chat_timely_ban"]){
		$tmp_time = 0; 
		}else{
		$tmp_time =  floor(($row["visi_chat_timely_ban"]-time())/60);
		} ?>
              <input name="time_ban_minutes" type="text" size="4" maxlength="4" value="<?php echo $tmp_time;?>">
              Minutes </td>
          </tr>
          <?php if($setting->get("credit_field") != ""){ ?>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Credits:</td>
            <td bgcolor="#FFFFFF"><b><?php echo $row["visi_chat_credits"];?></b><br>
              <a href="transactions.php?u=<?php echo $row[$setting->get("id_field")];?>">Add / View History</a></td>
          </tr>
          <?php }?>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Who can send private message to this user: </td>
            <td bgcolor="#FFFFFF"><select name="private" id="private">
                <option value="1" <?php if($row["visi_chat_allow_private"]==1){?> selected="selected" <?php }?>>Everyone</option>
                <option value="2" <?php if($row["visi_chat_allow_private"]==2){?> selected="selected" <?php }?>>Friends Only</option>
                <option value="0" <?php if($row["visi_chat_allow_private"]==0){?> selected="selected" <?php }?>>No one</option>
              </select></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Force user to Edit Profile <br>
              on next login: </td>
            <td bgcolor="#FFFFFF"><select name="force_edit" id="force_edit">
                <option value="1" <?php if($row["visi_chat_set_profile"]==1){?> selected="selected" <?php }?>>No</option>
                <option value="0" <?php if($row["visi_chat_set_profile"]==0){?> selected="selected" <?php }?> >Yes</option>
              </select></td>
          </tr>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Email Verified: </td>
            <td bgcolor="#FFFFFF"><select name="email_verified" id="email_verified">
                <option value="1" <?php if($row["visi_chat_email_verified"]==1){?> selected="selected" <?php }?>>Yes</option>
                <option value="0" <?php if($row["visi_chat_email_verified"]==0){?> selected="selected" <?php }?> >No</option>
              </select></td>
          </tr>
          <?php if($setting->get("user_access_enabled")=="yes" && $user_access_field=="visi_chat_paid_user"){?>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Paid : </td>
            <td bgcolor="#FFFFFF"><select name="paid_user" id="paid_user">
                <option value="<?php echo $user_access_allow_value;?>" <?php if($row[$user_access_field]==$user_access_allow_value){?> selected="selected" <?php }?>>Yes</option>
                <option value="<?php echo $user_access_deny_value;?>" <?php if($row[$user_access_field]==$user_access_deny_value){?> selected="selected" <?php }?> >No</option>
              </select></td>
          </tr>
          <?php }?>
          <tr>
            <td align="right" bgcolor="#FFFFFF">Picture : </td>
            <td bgcolor="#FFFFFF"><?php if($row[$picture_field]==""){?>
              No Picture
              <?php }else{ ?>
              <?php $pos = strpos($row[$picture_field],"avatars/");
		if($pos===false){
		?>
              <img src="../members/<?php echo $row[$picture_field];?>">
              <?php }else{ ?>
              <img src="../<?php echo $row[$picture_field];?>">
              <?php }?>
              <br>
              <a href="edit.php?ac=dp&u=<?php echo $user;?>" class="Links4" onClick="return check_confirm()">Delete Picture</a>
              <?php }?>
            </td>
          </tr>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Save Changes"></td>
          </tr>
        </table>
      </form>
      <br>
      <form name="form1" method="post" action="edit.php?ac=ur&u=<?php echo $user;?>" onSubmit="return check_confirm();">
        <table width="450" border="0" align="center" class="TextBlack12">
          <tr>
            <td colspan="2" align="center" bgcolor="#CCCCCC"><strong>Room Permission's </strong></td>
          </tr>
          <?php for($i=0;$i<count($rooms);$i++){
		  if($rooms[$i]["type"]==1){
		  $bg = "#C7FCC8";
		  }else{
		  $bg = "#FFCC33";
		  }
		  ?>
          <tr>
            <td align="right" bgcolor="<?php echo $bg;?>" width="50%"><?php echo $rooms[$i]["name"];?></td>
            <td bgcolor="<?php echo $bg;?>"><input type="checkbox" name="room<?php echo $rooms[$i]["id"];?>" value="yes" <?php if($rooms[$i]["allow"] || $rooms[$i]["type"]==1){?> checked="checked"<?php };?> <?php if($rooms[$i]["type"]==1){?> disabled="disabled"<?php }?>>
            </td>
          </tr>
          <?php }?>
          <tr>
            <td colspan="2" align="center" bgcolor="#FFFFFF"><br>
              <input type="submit" name="Submit2" value="Update Permissions">
              <br>
              <table width="200" border="0" align="left" cellspacing="3" class="TextBlack12">
                <tr>
                  <td bgcolor="#C7FCC8">&nbsp;</td>
                  <td>Public rooms </td>
                </tr>
                <tr>
                  <td bgcolor="#FFCC33">&nbsp;</td>
                  <td>Private Rooms </td>
                </tr>
              </table>
              <br>
            </td>
          </tr>
        </table>
      </form>
         <table width="100%" border="0" align="center" class="TextBlack12">
          <tr>
            <td align="center" bgcolor="#CCCCCC"><strong>Referral Code: </strong></td>
          </tr>     
      <tr><td bgcolor="#FFFFFF">
      
      <?php 
	  $jslink = "http://".$_SERVER["HTTP_HOST"].substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-14)."scripts/jslink.php";
?>
<div align="center"> Copy and paste this URL in this user's webpage, if everyone pays using following link, this username will appear as referral in the payment transactions page:<Br>
  <Br>
  <span style="background-color:#FFFFCC; border-color:#FFFF66; border-style:dotted; border-width:1px; padding:5px; color:#000000;"><?php echo htmlspecialchars('<script language="javascript" src="'.$jslink.'?room=1&ln=en&refid='.$_GET["u"].'"></script>');?></span><br>
  <br>
<br>
</div></td></tr>
</table>
      <?php }?>
    </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="90%"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
