<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");
set_time_limit(3600);
$config 	= $factory->getInstance("config");
$games_table = $config->prefix."games";
$uploadpath = "..".DS."games";

$page = $_GET["page"];
if($page =="" || $page<0 || !is_numeric($page)){$page = 1;}
$pagesize = 50;
$thumbnail_size = 50;


$result = "";

if($_GET["r"]=="a"){
	$result ="Game added successfully";
}
if($_GET["r"]=="e"){
	$result ="Error in uploading the Game";
}
if($_GET["r"]=="s"){
	$result ="Game saved successfully";
}


if($_GET["ac"] == "d" && is_numeric($_GET["i"])){
	if($_SESSION["visichat_access"]=="1"){
		$res = $db->run_query("select * from ".$games_table." where id=".$db->escape_string($_GET["i"]));
		if($db->get_num_rows($res)==0){
			$result = "Game not found.";
		}else{
			$row = $db->fetch_assoc($res);
			if(is_file($uploadpath.DS.$row["g_filename"].".swf")){
				unlink($uploadpath.DS.$row["g_filename"].".swf");
			}
			if(is_file($uploadpath.DS.$row["g_filename"].".jpg")){
				unlink($uploadpath.DS.$row["g_filename"].".jpg");
			}			
			$db->run_query("delete from ".$games_table." where id=".$db->escape_string($_GET["i"]));
			$result = "Game deleted successfully.";
		}
		$db->free_result($res);
	}else{
		$result = "You don't have access to this function";
	}
}


if($_GET["ac"]=="a"){
	if($_SESSION["visichat_access"]=="1"){
		$result = verify();
		if($result == ""){
			$result = addGame();
			$db->close();
			if($result  == ""){
				$r = "a";
			}else{
				$r = "e";
			}
			?>
			<meta http-equiv="refresh" content="0;URL=games.php?r=<?php echo $r;?>&page=<?php echo $page;?>">
			<?php exit();
		}
	}else{
		$result = "You don't have access to this function";
	}
}
function addGame(){
	global $db,$factory,$games_table,$uploadpath,$thumbnail_size;
	$error = "";
	$path_info 	= pathinfo($_FILES["game_swf"]["name"]);
	
	$random = rand(1000,1000000);
	$filename = get_next_id()."-".$random;
	$uploadfile = $uploadpath.DS.$filename.".swf";
	$uploadthumb = $uploadpath.DS.$filename.".jpg";
	$priority = post("priority");
	if(!is_numeric($priority) || $priority<0){
		$priority = 0;
	}
	if(move_uploaded_file($_FILES["game_swf"]['tmp_name'],$uploadfile)){
		chmod($uploadfile,0755);
		if(post("active")=="yes"){$active="1";}else{$active="0";}
		//Thumbnail
		$path_info 	= pathinfo($_FILES["game_thumbnail"]["name"]);
		if(move_uploaded_file($_FILES["game_thumbnail"]['tmp_name'],$uploadthumb)){
			resize($uploadthumb,$uploadthumb,$thumbnail_size,strtolower($path_info["extension"]));
			chmod($uploadthumb,0755);
		}
		$game_width = post("game_width");
		$game_height = post("game_height");
		
		$db->run_query("insert into ".$games_table." (g_title,g_filename,g_priority,g_active,g_rate,g_votes,g_time,g_width,g_height)values('".$db->escape_string(post("game_title"))."','".$db->escape_string($filename)."',".$db->escape_string($priority).",".$active.",0,0,".time().",".$db->escape_string($game_width).",".$db->escape_string($game_height).")");
	}else{
		return "<li>Error in uploading game</lib>";
	}
	return "";
}

function verify(){
	global $valid_files;
	$error = "";
	if(post("game_title")==""){
		$error = "<li>Game title is required.</li>";	
	}
	$req_file = $req_thumb = true;
	if($_GET["ac"]=="se"){
		if($_FILES["game_swf"]["name"]==""){
			$req_file=false;
		}
		if($_FILES["game_thumbnail"]["name"] ==""){
			$req_thumb = false;
		}
	}
	if(post("game_width") == ""){
		$error .="<li>Game width is required</li>";
	}else{
		if(!is_numeric(post("game_width"))){
			$error .="<li>Game width should be a numueric value</li>";
		}
	}
	if(post("game_height") == ""){
		$error .="<li>Game height is required</li>";
	}else{
		if(!is_numeric(post("game_height"))){
			$error .="<li>Game height should be a numueric value</li>";
		}
	}	
	if($req_file){
		if(!isset($_FILES["game_swf"])){
			$error .= "<li>Game file is required.</li>";	
		}else{
			if($_FILES["game_swf"]["name"]==""){
				$error .= "<li>Game file is required.</li>";	
			}else{
				$path_info 	= pathinfo($_FILES["game_swf"]["name"]);
					if(strtolower($path_info["extension"])!= "swf"){
						$error .= "<li>Game file is not a valid format.</li>";	
				}
			}
		}
	}
	if($req_thumb){
		if(!isset($_FILES["game_thumbnail"])){
			$error .= "<li>Game thumbnail is required.</li>";	
		}else{
			if($_FILES["game_thumbnail"]["name"]==""){
				$error .= "<li>Game thumbnail is required.</li>";	
			}else{
				$path_info 	= pathinfo($_FILES["game_thumbnail"]["name"]);
					if(strtolower($path_info["extension"])!= "jpg" && strtolower($path_info["extension"])!= "gif"){
						$error .= "<li>Game thumbnail is not a valid format.</li>";	
				}
			}
		}
	}
	return $error;
}
function get_next_id(){
	global $db,$games_table;
	$res = $db->run_query("select * from ".$games_table." order by id desc");
	if($db->get_num_rows($res)==0){
		$id=1;
	}else{
		$row = $db->fetch_assoc($res);
		$id = $row["id"]+1;
	}
	$db->free_result($res);
	return $id;
}

$query = "select * from ".$games_table." order by g_priority desc,g_title";
$res = $db->run_query($query,$page,$pagesize);
$res2 = $db->run_query("select count(id) as cnt from ".$games_table);
$row2 = $db->fetch_assoc($res2);
$total_banners= $row2["cnt"];
$total_pages = ceil($total_banners/$pagesize);
$db->free_result($res2);

$editmode=false;
if($_GET["ac"] == "e" && is_numeric($_GET["i"])){
	$res = $db->run_query("select * from ".$games_table." where id=".$db->escape_string($_GET["i"]));
	if($db->get_num_rows($res)==0){
		$result = "Game not found.";
	}else{
		$row = $db->fetch_assoc($res);
		$editmode = true;
		$_POST["g_filename"] = $row["g_filename"];
		$_POST["game_title"] = $row["g_title"];
		$_POST["priority"] = $row["g_priority"];
		$_POST["game_width"] = $row["g_width"];
		$_POST["game_height"] = $row["g_height"];
		if($row["g_active"]==1){$_POST["active"]="yes";}
		$_POST["Submit"]="Edit";
	}
	$db->free_result($res);
}


if($_GET["ac"] == "se" && is_numeric($_GET["i"])){
	if($_SESSION["visichat_access"]=="1"){
		$res = $db->run_query("select * from ".$games_table." where id=".$db->escape_string($_GET["i"]));
		if($db->get_num_rows($res)==0){
			$result = "Game not found.";
		}else{
			$row = $db->fetch_assoc($res);
			$_POST["g_filename"] = $row["g_filename"];
			$editmode=true;
			$result = verify();
			if($result == ""){
				saveGame($db->fetch_assoc($res));
				$db->close();?>
				<meta http-equiv="refresh" content="0;URL=games.php?r=s&page=<?php echo $page;?>">
				<?php exit();
			}
		}
		$db->free_result($res);
	}else{
		$result = "You don't have access to this function";
	}
}
function saveGame($row){
	global $db,$factory,$games_table,$uploadpath,$thumbnail_size;
	$error = "";
	
	if($_FILES["game_swf"]["name"]==""){
		$filename = $row["g_filename"];
	}else{
		$path_info 	= pathinfo($_FILES["game_swf"]["name"]);
		$random = rand(1000,1000000);
		$filename = $row["id"]."-".$random;
		$uploadfile = $uploadpath.DS.$filename.".swf";
		if(!move_uploaded_file($_FILES["game_swf"]['tmp_name'],$uploadfile)){
			$error = "<li>Error in uploading the game</lib>";		
		}else{
			chmod($uploadfile,0755);
			if(is_file($uploadpath.DS.$row["g_filename"].".swf")){
				unlink($uploadpath.DS.$row["g_filename"].".swf");
			}
		}
	
	}
	
	if($_FILES["game_thumbnail"]["name"]!=""){
		if(is_file($uploadpath.DS.$row["g_filename"].".jpg")){
			unlink($uploadpath.DS.$row["g_filename"].".jpg");
		}
		$uploadthumb = $uploadpath.DS.$filename.".jpg";
		$path_info 	= pathinfo($_FILES["game_thumbnail"]["name"]);
		if(move_uploaded_file($_FILES["game_thumbnail"]['tmp_name'],$uploadthumb)){
			resize($uploadthumb,$uploadthumb,$thumbnail_size,strtolower($path_info["extension"]));
			chmod($uploadthumb,0755);
		}
	}else{
		rename($uploadpath.DS.$row["g_filename"].".jpg",$uploadpath.DS.$filename.".jpg");
	}
	if($error ==""){
		if(post("active")=="yes"){$active="1";}else{$active="0";}
		$game_width = post("game_width");
		$game_height = post("game_height");
		$db->run_query("update ".$games_table." set g_title='".$db->escape_string(post("game_title"))."',g_filename='".$db->escape_string($filename)."',g_priority=".$db->escape_string(post("priority")).",g_active=".$active.",g_width=".$db->escape_string($game_width).",g_height=".$db->escape_string($game_height)." where id=".$db->escape_string($_GET["i"]));
	}
	return $error;
}
function resize($filein, $fileout, $newwidth,$ext){
	list($width, $height) = getimagesize($filein);
	if($width>$height){
	   $newwidth = $newwidth;
	   $newheight=$height*$newwidth/$width; 
	}else{
	$newheight = $newwidth;
	 $newwidth=$width*$newheight/$height;    
	}
	if($ext=="jpg"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);
	   $source = @imagecreatefromjpeg("$filein");
	}	   
	if($ext=="gif"){
		$thumb = @imagecreate($newwidth,$newheight);		
	   $source = @imagecreatefromgif("$filein");
	}
	if($ext=="png"){
		$thumb = @imagecreatetruecolor($newwidth,$newheight);		
	   $source = @imagecreatefrompng("$filein");
	}
	if($source ){		
		$background_cl = imagecolorallocate($thumb,255,255,255);		
		imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
		imagejpeg($thumb, $fileout,90);
		return true;
	}
	return false;
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Games</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>

</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>

<br />
<br />
<br>
<br>
<br>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Games Administration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="800" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form action="games.php?ac=<?php if($editmode){?>se&i=<?php echo $_GET["i"];?><?php }else{?>a<?php }?>&page=<?php echo $page;?>" method="post" enctype="multipart/form-data" name="form1">
  <div  align="left" class="YellowText"><br><b><?php echo $result;?></b></div><br>
  <?php if($editmode){
  $path = pathinfo(post("b_filename"));?>
  <div align="center">
   <img src="../games/<?php echo post("g_filename");?>.jpg" />
<br>

  </div>
  
  <?php }?>
    <table width="450" border="0" align="center" class="TextBlack12">
      <tr>
        <td colspan="2" align="center" bgcolor="#284172" class="whileText"><?php if($editmode){?>Edit<?php }else{?>Add<?php }?> Game</td>
        </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Game Title :</td>
        <td bgcolor="#FFFFFF"><input name="game_title" type="text" id="game_title" value="<?php echo post("game_title");?>"></td>
      </tr>	  
      <tr>
        <td align="right" bgcolor="#FFFFFF">Game file :<br>
          <font class="Comments"><font color="#666666"> (swf files only)</font></font> </td>
        <td bgcolor="#FFFFFF"><input type="file" id="game_swf" name="game_swf"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Game thumbnail :<br>
          <font class="Comments"><font color="#666666"> (jpg and gif files only)</font></font> </td>
        <td bgcolor="#FFFFFF"><input type="file" id="game_thumbnail" name="game_thumbnail"></td>
      </tr>	  
      <tr>
        <td align="right" bgcolor="#FFFFFF">Game Width (pixel):</td>
        <td bgcolor="#FFFFFF"><input name="game_width" type="text" id="game_width" value="<?php echo post("game_width");?>"></td>
      </tr>
      <tr>
        <td align="right" bgcolor="#FFFFFF">Game Height (pixel):</td>
        <td bgcolor="#FFFFFF"><input name="game_height" type="text" id="game_height" value="<?php echo post("game_height");?>"></td>
      </tr>		  	  
      <tr>
        <td align="right" bgcolor="#FFFFFF">Priority  :<br>
       <font class="Comments"><font color="#666666">    ( Higher Value appears first )</font></font> </td>
        <td bgcolor="#FFFFFF"><label>
          <select name="priority">
		  <?php for($i=1;$i<=10;$i++){?>
            <option value="<?php echo $i;?>" <?php if(post("priority")==$i){?> selected="selected"<?php }?>><?php echo $i;?></option>
			<?php }?>
          </select>
        </label></td>
      </tr>	 
      <tr>
        <td align="right" bgcolor="#FFFFFF">Active :  </td>
        <td bgcolor="#FFFFFF"><label>
          <input name="active" type="checkbox" id="active" value="yes" <?php if(!isset($_POST["Submit"]) || post("active")=="yes"){?>checked<?php }?>>
        </label></td>
      </tr>	 	   	  	  
      <tr>
        <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="<?php if($editmode){?>Save<?php }else{?>Add<?php }?> Game"> <?php if($editmode){?> <input type="button" name="Button" value="Cancel" onClick="window.location='games.php?page=<?php echo $page;?>'">
        <?php }?></td>
        </tr>
    </table>  
    </form>
      <br>
      <br>
	  <?php if(!$editmode){?>
      <table width="500" border="0" align="center" cellpadding="2" class="TextBlack12">
      <tr class="whileText">
        <td align="center" bgcolor="#284172" width="20">#</td>
        <td bgcolor="#284172">Thumbnail</td>
		<td bgcolor="#284172">Title </td>
        <td align="center" bgcolor="#284172" width="60">Pririty</td>	
		<td align="center" bgcolor="#284172" width="60">Active</td>		
        <td align="center" bgcolor="#284172" width="60">Edit</td>
        <td align="center" bgcolor="#284172" width="60">Delete</td>
      </tr>
	  <?php
	  for($i=0;$i<$db->get_num_rows($res);$i++){
	  $row = $db->fetch_assoc($res,$i);
		if($row["g_active"]==1){
	  		$def_color="#FFFFFF";
		}else{
			$def_color = "#999999";
		}
	  ?>
      <tr>
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php echo ((($page-1)*$pagesize)+($i+1));?></td>
        <td width="70px" align="center" bgcolor="<?php echo $def_color;?>"><img src="../games/<?php echo $row["g_filename"];?>.jpg"></td>
	    <td bgcolor="<?php echo $def_color;?>"><?php echo $row["g_title"];?></td>
		<td align="center" bgcolor="<?php echo $def_color;?>"><?php echo $row["g_priority"];?></td>
        <td align="center" bgcolor="<?php echo $def_color;?>"><?php if($row["g_active"]==1){showpic("yes.jpg");}else{showpic("no.jpg");}?></td>		
        <td align="center" bgcolor="<?php echo $def_color;?>"><a href="games.php?ac=e&i=<?php echo $row["id"];?>&page=<?php echo $page;?>" class="Links4">Edit</a></td>
        <td align="center" bgcolor="<?php echo $def_color;?>"><a href="games.php?ac=d&i=<?php echo $row["id"];?>&page=<?php echo $page;?>" onClick="return check_confirm();" class="Links4">Delete</a></td>
      </tr>
	  <?php }?>
    </table>
    
	  <?php if($total_pages>1){?>
      <br>
    <table width="600" border="0" align="center" class="whileText">
      <tr>
        <td bgcolor="#284172">
		<a href="games.php" class='Links1'>First Page</a>
		&nbsp;&nbsp;
		 <?php for($i=1;$i<=$total_pages;$i++){
		if($i==$page){
			echo "&nbsp;".$i."&nbsp;";
		}else{
			echo "&nbsp;<a href='games.php?page=".$i."' class='Links1'>".$i."</a>&nbsp;";
		}
		
		 }?>
		&nbsp;&nbsp;
		 <a href="games.php?page=<?php echo $total_pages;?>" class='Links1'>Last Page</a>		</td>
      </tr>
    </table>
	<?php }?><?php }?>
	<font color="#FFFFFF">
  <br>
  <br>
  Your current Max post size is set to <b><font color="#FFCC00"><?php echo ini_get('post_max_size');?></font></b> <br>
  Your current Max upload size is set to <b><font color="#FFCC00"><?php echo ini_get('upload_max_filesize');?></font></b> <br>  
  For uploading larger files, you may need to modify .htaccess in the visichat admin folder or your php.ini file.  </font>
	<br></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="800"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>