<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
session_start();

include_once("../scripts/library/factory.php");


if(is_file(realpath("../install.php")) && !DEV_MODE)
{
	die("Please remove <b>install.php</b> file for the security reasons and refresh this page.");
}


$factory 	= new factory();
$db 		= $factory->get_db();
$config		= $factory->getInstance("config");
$setting 	= $factory->getInstance("setting");

$admin_table  = $setting->get("admin_users_table");



$logged=false;
$valid=true;
$Post=false;
$Error="";
$UsernameVerify=true;
$PasswordVerify=true;
$cookielogin=false;
$loggedout=false;
if(isset($_GET["ac"])){
	if($_GET["ac"]=="logout"){
		setcookie("visichat_username","",-1);
		unset($_COOKIE["visichat_username"]);
		unset($_COOKIE["visichat_password"]);
		setcookie("visichat_password","",-1);		
		$loggedout=true;
		DeleteCookie();
		$_SESSION["visichat_username"] = "";
		$_SESSION["visichat_password"] = "";
		$_SESSION["visichat_logged"]="";
		$_SESSION["visichat_lastlogin"] = "";
		$_SESSION["visichat_access"] = "";
	}
	if($_GET["ac"]=="login"){
		$Post=true;
		if(isset($_POST["U"]) && isset($_POST["P"])){
			if($_POST["U"]!= "" && $_POST["P"]!= ""){
				$res = $db->run_query("select * from ".$admin_table." where username='".$db->escape_string($_POST["U"])."' and passmd5='".$db->escape_string(md5($_POST["P"]))."'");
				if($db->get_num_rows($res)>0){
					$row = $db->fetch_assoc($res);				
					if($row["access"]==0){
						$Error = "Your account is Disabled.";
					}else{
						$_SESSION["visichat_username"] = $row["username"];
						$_SESSION["visichat_password"] = $row["passmd5"];
						$_SESSION["visichat_logged"]=true;
						$_SESSION["visichat_lastlogin"] = $row["lastlogin"];
						$_SESSION["visichat_access"] = $row["access"];
						$up = $db->run_query("update ".$admin_table." set lastlogin=".time()." where username='".$db->escape_string($_POST["U"])."'");
						$db->run_query("insert into ".$config->prefix."reports (r_type,username,r_ip,r_date,r_var) values (1,'".$db->escape_string($row["username"])."','".$db->escape_string($_SERVER['REMOTE_ADDR'])."',".time().",'valid')");
						if(isset($_POST["R"])){
							if($_POST["R"]=="R"){
								setcookie("visichat_username",$row["username"],time()+60*60*24*30);
								setcookie("visichat_password",$row["passmd5"],time()+60*60*24*30);
							}else{
								DeleteCookie();	
							}
						}else{
							DeleteCookie();
						}
						$logged=true;
					}
				}else{
					$db->run_query("insert into ".$config->prefix."reports (r_type,username,r_ip,r_date,r_var) values (1,'".$db->escape_string($_POST["U"])."','".$db->escape_string($_SERVER['REMOTE_ADDR'])."',".time().",'invalid')");
					$Error = "Invalid Username or Password";	
					$UsernameVerify=false;
					$PasswordVerify=false;
					$valid=false;		
				}
				$db->free_result($res);
				$db->close();
			}else{
				if($_POST["U"]==""){
					$UsernameVerify=false;
					
				}
				if($_POST["P"]==""){
					$PasswordVerify=false;
				}
				$Error = "Username and Password are required.";
				$valid=false;			
			}
		}else{
			if(!isset($_POST["U"])){
				$UsernameVerify=false;
			}
			if(!isset($_POST["P"])){
				$PasswordVerify=false;
			}
			$Error = "Username and Password are required.";
			$valid=false;
		}
	}else{
		if(CheckCookie()){
			$Post=true;
			$logged=true;
			$valid=true;
			$cookielogin=true;
		}
	}
}else{
	if(CheckCookie()){
			$Post=true;
			$logged=true;
			$valid=true;
			$cookielogin=true;
	}
}
function DeleteCookie(){
	setcookie("visichat_username","");
	setcookie("visichat_password","");

}
function CheckCookie(){
	global $db,$admin_table;
	$returnpost=false;
	$session_active=false;
	if(isset($_SESSION["visichat_logged"])){
		if($_SESSION["visichat_logged"]!= ""){
			if($_SESSION["visichat_logged"]==true){
				$_SESSION["visichat_logged"]=false;
				$_SESSION["visichat_username"] = "";
				$_SESSION["visichat_password"] = "";
				$_SESSION["visichat_lastlogin"] = "";
				$_SESSION["visichat_access"] = "";
			}
		}
	}
	if(isset($_COOKIE["visichat_username"]) && isset($_COOKIE["visichat_password"]) && $session_active==false){
		if($_COOKIE["visichat_username"] != "" && $_COOKIE["visichat_password"] != ""){
			$res = $db->run_query("select * from ".$admin_table." where username='".$db->escape_string($_COOKIE["visichat_username"])."' and passmd5='".$db->escape_string($_COOKIE["visichat_password"])."'");			
			if($db->get_num_rows($res)>0){
				$row = $db->fetch_assoc($res);
				if($row["access"]==0){
					$Error = "Your account is Disabled.";
				}else{
					$_SESSION["visichat_username"] = $row["username"];
					$_SESSION["visichat_password"] = $row["passmd5"];
					$_SESSION["visichat_logged"]=true;
					$_SESSION["visichat_lastlogin"] = $row["lastlogin"];
					$_SESSION["visichat_access"] = $row["access"];
					$returnpost=true;
					$up = $db->run_query("update ".$admin_table." set lastlogin=".time()." where username='".$db->escape_string($row["username"])."'");
					$db->run_query("insert into ".$config->prefix."reports (r_type,username,r_ip,r_date,r_var) values (1,'".$db->escape_string($row["username"])."','".$db->escape_string($_SERVER['REMOTE_ADDR'])."',".time().",'')");
				}
			}
		}	
	}
	return $returnpost;
}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat <?php echo $setting->get("version");?> Admin Menu</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
#Layer1 {
	position:absolute;
	left:10;
	top:10;
	width:90;
	height:90;
	z-index:1;
}
-->
</style>
</head>

<body>
<br />
<br />
<table width="400" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="center" background="../images/r2.gif"><strong>Gchats VisiChat <?php echo $setting->get("version");?> Admin Menu </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="400" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td height="250" align="center" background="../images/bgdot.gif" class="TextBlack12">
     <?php

	  if ($Post && $valid){ 

	 if($logged){
	 ?>
	 <font class="YellowText"><?php if(!$cookielogin){?><b>Login Successful!</b> <?php }else{?> Welcome Back <B> <?php echo $_SESSION["visichat_username"];?></B> <?php }?> <br><br><br>
	 You are being redirected in 3 seconds! <br><br>
<meta http-equiv="refresh" content="3;URL=menu.php">

	 <a href="menu.php" class="Links1">Click Here</a> to Access the Admin Area
	 </font>
	 <?php }else{?>
	<font class="RedText" style="background-color:#FFFFFF"><b> <?php echo $Error;?></b></font>
	 
	 <?php }}else{?>
     <form id="form1" name="form1" method="post" action="index.php?ac=login">
	 <?php if($loggedout){?> <font class="YellowText"><b>You are now logged out.</b></font><br><br> <?php }?>	 
<?php if($Error!=""){?>
<font class="RedText" style="background-color:#FFFFFF"><b> <?php echo $Error;?></b></font><?php }?>
	  <table border="0" cellspacing="2" cellpadding="1" class="T1">
	  <tr class="T1">
      
         <td colspan="2" align="center" bgcolor="#A7AACD" class="Comments">Enter Username and Password: </td>
        
		</tr>
       <tr>
	   
         <td align="right" bgcolor="#D8DDE7" <?php if(!$UsernameVerify){?> class="RedText"<?php }?>><strong>Username :</strong></td>
         <td align="left" bgcolor="#D8DDE7"><input name="U" type="text" id="U" <?php if(isset($_POST["U"])){?> value="<?php echo $_POST["U"];?>"<?php }?> /></td>
       </tr>
       <tr>
         <td align="right" bgcolor="#D8DDE7" <?php if(!$PasswordVerify){?> class="RedText"<?php }?> ><strong>Password : </strong>
          </td>
         <td align="left" bgcolor="#D8DDE7"><input name="P" type="password" id="P" /></td>
       </tr>
       <tr>
         <td align="right" bgcolor="#D8DDE7"><label><strong>Remember</strong></label>
          
           :</td>
         <td align="left" bgcolor="#D8DDE7"><input name="R" type="checkbox" id="R" value="R" <?php if(isset($_POST["R"])){if($_POST["R"]=="R"){?> checked="checked"<?php }}?> /></td>
       </tr>
       <tr>
         <td colspan="2" align="center" bgcolor="#D8DDE7"><input type="submit" name="Submit" value="Login" /></td>
         </tr>
     </table>
<?php }?>
                    <br />
  
    </form></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="400"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
