<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");
$levels = $setting->user_levels;
$permissions = $setting->permissions;


$members_table = $setting->get("members_table");
$room_table = $setting->get("room_table");
$temp_pictures_table = $setting->get("temp_pictures_table");
$username_field = $setting->get("username_field");
$picture_field = $setting->get("picture_field");
$result 	= "";

if($_GET["ac"]=="u" && $_POST["savesetting"]=="yes"){
	if($_SESSION["visichat_access"]=="1"){
		for($i=0;$i<count($permissions);$i++){
			$mod = $permissions[$i];
			for($j=0;$j<count($levels);$j++){
				if($mod[4] == "boolean"){
					if($_POST["perm_".$levels[$j]."_".$mod[0]]=="yes"){
						$setting->set("perm_".$levels[$j]."_".$mod[0],"yes");
					}else{
						$setting->set("perm_".$levels[$j]."_".$mod[0],"no");
					}
				}
				if($mod[4] == "int"){
					if($_POST["perm_".$levels[$j]."_".$mod[0]] != "" && is_numeric($_POST["perm_".$levels[$j]."_".$mod[0]]) && $_POST["perm_".$levels[$j]."_".$mod[0]]>=0){
						$setting->set("perm_".$levels[$j]."_".$mod[0],$_POST["perm_".$levels[$j]."_".$mod[0]]);
					}else{
						$setting->set("perm_".$levels[$j]."_".$mod[0],0);
					}
				}
			}
			$setting->save();
		}
		$result = "Visichat permissions updated successfully.";
	}else{
		$result = "You don't have access to this function";
	}	
}


if($_GET["ac"]=="cleanpic"){
	if($_SESSION["visichat_access"]=="1"){
		cleanupPics();
	}else{
		$result = "You don't have access to this function";
	}	
}


function cleanupPics(){
	global $factory;
	$visichat 	= $factory->getInstance("visichat");
	$visichat->cleanUp();
	
}

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat Admin Menu: Permissions</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
  </a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="900" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Permissions </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="900" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><form name="form1" method="post" action="permissions.php?ac=u">
        <table width="800" border="0" align="center" cellpadding="3" class="TextBlack12">
          <tr>
            <td align="center" class="whileText">&nbsp;</td>
            <td colspan="5" align="center" bgcolor="#284172" class="whileText"><strong>Permissions</strong></td>
          </tr>
           <tr>
		    <td align="center">&nbsp;</td>
             <td align="center" bgcolor="#FFFFFF">Administrator</td>
             <td align="center" bgcolor="#FFFFFF">Moderator</td>
             <td align="center" bgcolor="#FFFFFF">Premium</td>
             <td align="center" bgcolor="#FFFFFF">Registered</td>
             <td align="center" bgcolor="#FFFFFF">Guest</td>
           </tr>
		   <?php 
		   for($i=0;$i<count($permissions);$i++){
		   $mod = $permissions[$i];
		   $access =preg_split('//',$mod[2],-1,PREG_SPLIT_NO_EMPTY);
		   ?>
		         <tr>
		    <td align="right" bgcolor="#FFFFFF"><?php echo $mod[1];?></td>
			<?php for($j=0;$j<count($levels);$j++){?>
             <td align="center" bgcolor="#FFFFFF">
			 
			 <?php if($mod[4] =="boolean"){?>
				 <?php if($access[$j]==1){?><input type="checkbox" name="perm_<?php echo $levels[$j];?>_<?php echo $mod[0];?>" value="yes" <?php if($setting->get("perm_".$levels[$j]."_".$mod[0])=="yes"){?> checked="checked"<?php }?>><?php }?>
			 <?php }?>
			<?php if($mod[4] =="int"){?> 
				<input name="perm_<?php echo $levels[$j];?>_<?php echo $mod[0];?>" type="text" value="<?php echo $setting->get("perm_".$levels[$j]."_".$mod[0]);?>" size="4" maxlength="4" />
			<?php }?>
			 </td>
			 <?php }?>
           </tr>
		   <?php }?>
          <tr>
            <td align="center">&nbsp;</td>
            <td colspan="5" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit" value="Save Setting"></td>
          </tr>
        </table>
        <input type="hidden" name="savesetting" value="yes">
    </form>
      Note: Changing permissions in this page will take effect after red5 restart. <br></td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="900"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
<?php
$db->close();
?>