<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");


$config 	= $factory->getInstance("config");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$room_table = $setting->get("room_table");
$room_users_table = $setting->get("room_users_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$picture_field = $setting->get("picture_field");
$email_field = $setting->get("email_field");
$user_access_field = $setting->get("user_access_field");
$user_access_allow_value = $setting->get("user_access_allow_value");
$user_access_deny_value = $setting->get("user_access_deny_value");
$transaction_types = array("Unknown","Send Credit","Receive Credit","Buy Credits","Subscription","Adjustment");

$months = array("January","February","March","April","May","June","July","August","September","October","November","December");

$result = "";
$allow = true;
$user = $_GET["u"];
if(!is_numeric($user) || $user == ""){
	$result = "User not found";
	$allow = false;
}
if($_SESSION["visichat_access"]<>"1"){
	$result = "You don't have access to this page";
	$allow = false;
}
$rcheck = $db->run_query("select * from ".$members_info_table." where visi_chat_user_id=".$db->escape_string($user));
if($db->get_num_rows($rcheck)==0){
	$db->run_query("insert into ".$members_info_table." (visi_chat_user_id) values(".$db->escape_string($user).")");
}
$db->free_result($res);


$select_query = "select * from ".$members_table." as A left join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where ".$id_field."=".$db->escape_string($user);

if($allow){
	$res = $db->run_query($select_query);
	if($db->get_num_rows($res)==0){
		$result = "User not found";
		$allow = false;
	}else{
		$row = $db->fetch_assoc($res);
	}
	$db->free_result($res);
}

if($allow){
	if($_GET["ac"] == "add"){
		if($_SESSION["visichat_access"] == "1"){
			if($_POST["credit"] == "" || !is_numeric($_POST["credit"]) || $_POST["credit"]=="0"){
				$result = "Credit should be a none zero numeric value";	
			}else{
				$db->run_query("insert into ".$config->prefix."transactions (tra_sender_id,tra_receiver_id,tra_amount,tra_reason,tra_date) values(".$db->escape_string($user).",0,".$db->escape_string($_POST["credit"]).",5,".time().")");
				if($setting->get("credit_field") == "visi_chat_credits"){
					$db->run_query("update ".$members_info_table." set ".$setting->get("credit_field")."=".$setting->get("credit_field")."+".$db->escape_string($_POST["credit"])." where visi_chat_user_id=".$db->escape_string($user));
				}else{
					$db->run_query("update ".$members_table." set ".$setting->get("credit_field")."=".$setting->get("credit_field")."+".$db->escape_string($_POST["credit"])." where ".$id_field."=".$db->escape_string($user));
				}
			}
		}else{
			$result = "You don't have access to this function";
		}
	}
}




?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Gchats Visichat 2 Admin Menu : <?php echo $row[$username_field];?> transactions</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>
<body>
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="edit.php?u=<?php echo $row[$id_field];?>"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="edit.php?u=<?php echo $row[$id_field];?>" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Users Adminstration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="90%" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12"><br>
      <?php if($allow){?>
      <form name="form2" method="post" action="transactions.php?u=<?php echo $_GET["u"];?>&ac=add">
     
      <table width="300" border="0" align="center" class="TextBlack12">
        <tr>
          <td colspan="2" align="center" bgcolor="#CCCCCC">Add / Deduct Credit </td>
        </tr>
        <tr>
          <td align="right" bgcolor="#FFFFFF">Amount:</td>
          <td bgcolor="#FFFFFF"><input type="text" name="credit"></td>
        </tr>
        <tr>
          <td colspan="2" align="center" bgcolor="#FFFFFF"><input type="submit" name="Submit2" value="Submit"></td>
        </tr>
      </table> </form>
     
	   <?php
		  if($_GET["d"]==""){
		  	$transactions = $db->run_query("select * from ".$config->prefix."transactions as A left join ".$members_table." as B on A.tra_receiver_id=B.".$id_field."  where tra_sender_id=".$db->escape_string($row[$id_field]));
		  }else{
		  	$month = date("n")-($_GET["d"]-1);
			$year = date("Y");
			if($month<0){
				$month = $month+12;
				$year--;
			}
		  	$start 	= mktime (0,0,1, $month, 1, $year);
			$end 	= mktime (0,0,1, $month+1, 1, $year);
		 	$transactions = $db->run_query("select * from ".$config->prefix."transactions as A left join ".$members_table." as B on A.tra_receiver_id=B.".$id_field."  where A.tra_date>=".$start." and A.tra_date<".$end." and tra_sender_id=".$db->escape_string($row[$id_field]));
		  }
		  ?>
        <table width="90%" border="0" align="center" cellpadding="5" class="TextBlack12">
          <tr>
            <td  align="center" bgcolor="#CCCCCC"><?php echo $row[$username_field];?> transactions:
              <select name="period" id="period" onChange="window.location='transactions.php?u=<?php echo $_GET["u"];?>&d='+this.value">
			  <option value="">All Time</option>
			  <?php for($i=date("n")-1;$i>=0;$i--){
			  $value = (date("n"))-$i;?>
			  <option value="<?php echo $value;?>" <?php if($_GET["d"]==$value){?> selected="selected" <?php }?>><?php echo $months[$i];?> <?php echo date("Y");?></option> 
			  <?php }?>
			  <?php for($i=11;$i>=0;$i--){
			  	$value = 12+date("n")-$i;?>
			  <option value="<?php echo $value;?>" <?php if($_GET["d"]==$value){?> selected="selected" <?php }?>><?php echo $months[$i];?> <?php echo date("Y")-1;?></option>
			  <?php }?>
			  
              </select>
            </td>
          </tr>
		 
		  <tr>
            <td align="center" bgcolor="#FFFFFF"><table width="100%" border="0" bgcolor="#CCCCCC" class="TextBlack12">
              <tr>
			   <td align="center" bgcolor="#FFFFFF"><strong>Type</strong></td>
                <td bgcolor="#FFFFFF"><strong>From/To</strong></td>               
				 <td bgcolor="#FFFFFF"><strong>Date</strong></td>
                <td bgcolor="#FFFFFF" width="150"><strong>Referred By</strong></td>                 
                <td width="80" align="center" bgcolor="#FFFFFF"><strong>Credits</strong></td>
              </tr>
			  <?php 
			  $total =0;
			  $total_recieved = 0;
			  $total_send	=0;
			  for($i=0;$i<$db->get_num_rows($transactions);$i++){
			  $tra_row = $db->fetch_assoc($transactions,$i);
			  $amount = $tra_row["tra_amount"];
			  $total += $amount;
			  if($amount>0){
			  	$amount = "+".$amount;
			  }else{
			  	$amount = "<font color='#FF0000'>".$amount."</font>";
			  }
			  if($tra_row["tra_reason"]==2){
			  	$total_recieved+= $tra_row["tra_amount"];
			  }
			  if($tra_row["tra_reason"]==1){
			  	$total_send+= $tra_row["tra_amount"];
			  }
			  ?>
              <tr>
			  <td align="center" bgcolor="#EAEDF2"><?php echo $transaction_types[$tra_row["tra_reason"]];?></td>
                <td bgcolor="#EAEDF2">
				<?php if($tra_row["tra_reason"]==3){?>
				<?php echo $tra_row["tra_type"];?>
				<?php }else{?>
				<a href="edit.php?u=<?php echo $tra_row[$id_field];?>" class="Links4"><?php echo $tra_row[$username_field];?></a>
				<?php }?>
				</td>
               <td bgcolor="#EAEDF2"><?php echo date("F j, Y, G:i",$tra_row["tra_date"]);?></td>
                <td bgcolor="#EAEDF2">
                <?php if($tra_row["tra_referral"] != 0){
               		$ref = $db->run_query("select * from ".$members_table." where ".$id_field."=".$db->escape_string($tra_row["tra_referral"]));
					if($db->get_num_rows($ref) > 0){
						$ref_row = $db->fetch_assoc($ref); ?>
						<a href="edit.php?u=<?php echo $ref_row[$id_field];?>" class="Links4"><?php echo $ref_row[$username_field]; ?></a>
					<?php }
					$db->free_result($ref);
                }?>
                </td>
                <td align="center" bgcolor="#EAEDF2"><?php echo $amount;?></td>
              </tr>
			  <?php }?>
			     <tr>
			  <td colspan="4" align="right" bgcolor="#EAEDF2">Total:</td>
                <td align="center" bgcolor="#EAEDF2"><b><?php echo number_format($total,2);?></b></td>
              </tr>
			     <tr>
			  <td colspan="4" align="right" bgcolor="#EAEDF2">Total Received:</td>
                <td align="center" bgcolor="#EAEDF2"><b><?php echo number_format($total_recieved,2);?></b></td>
              </tr>			  
			     <tr>
			  <td colspan="4" align="right" bgcolor="#EAEDF2">Total Send:</td>
                <td align="center" bgcolor="#EAEDF2"><b><?php echo number_format($total_send,2);?></b></td>
              </tr>			  
            </table></td>
		  </tr>
		  <?php
		  $db->free_result($transactions);
		  ?>
        </table>
 
      <br>
      <?php }?>
    </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table>
<table width="90%"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
