<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include("common.php");
include("checker.php");

$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$picture_field = $setting->get("picture_field");
$email_field = $setting->get("email_field");
$integrate = $setting->get("integrate");
$page = $_GET["page"];
if($page =="" || $page<0 || !is_numeric($page)){$page = 1;}
$pagesize = 50;
$result = "";

$res_credits = $db->run_query("select sum(visi_chat_credits) as cnt from ".$members_info_table);
$row_credits = $db->fetch_assoc($res_credits);
$total_credits = $row_credits["cnt"];
$db->free_result($res_credits);

if ($total_credits == "") $total_credits = 0;

if($config->prefix."members" != $setting->get("$members_table")){
	// Check if all users have records in the members_info table
	$checker = $db->run_query("select count($id_field) as cid from ".$members_table);
	$row = $db->fetch_assoc($checker);
	$db->free_result($checker);
	$total_users = $row["cid"];
	
	$checker = $db->run_query("select count(visi_chat_user_id) as cid from ".$members_info_table);
	$row = $db->fetch_assoc($checker);
	$user_records = $row["cid"];
	$db->free_result($checker);
	
	// Add new record for new users which doesnt have a record in the members info
	if($total_users > $user_records){
		$res = $db->run_query("select A.".$id_field." from ".$members_table." as A  left join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where visi_chat_user_id is NULL");
		for($i=0;$i<$db->get_num_rows($res);$i++){
			$row = $db->fetch_assoc($res,$i);
			$db->run_query("insert into ".$members_info_table." (visi_chat_user_id,visi_chat_user_ip,visi_chat_gender,visi_chat_email_code,visi_chat_signup_time,visi_chat_login_time,visi_chat_user_banned,visi_chat_is_online,visi_chat_timely_ban,visi_chat_is_mod,visi_chat_allow_private) values(".$db->escape_string($row[$id_field]).",'','n','',".time().",0,0,0,0,0,1)");
		}
		$db->free_result($res);
		$result = "Members info table has been updated successfully for the new users.";
	}
}


if($_GET["ac"] == "d" && is_numeric($_GET["u"])){
	if($_SESSION["visichat_access"]=="1"){
		$res = $db->run_query("select * from ".$members_table." where ".$id_field."=".$db->escape_string($_GET["u"]));
		if($db->get_num_rows($res)==0){
			$result = "User not found";
		}else{
			$row = $db->fetch_assoc($res);
			$res = $db->run_query("delete from ".$members_table." where ".$id_field."=".$db->escape_string($_GET["u"]));
			$res = $db->run_query("delete from ".$members_info_table." where visi_chat_user_id=".$db->escape_string($_GET["u"]));
			$result = $row[$username_field]." removed successfully";		
		}		
	}else{
		$result = "You don't have access to this function";
	}
}

$user_type_sql = "";

switch($_GET["type"])
{
	case "0":
		$user_type_sql = "and visi_chat_is_mod = 0";
		break;
	case "1":
		$user_type_sql = "and visi_chat_is_mod = 1";
		break;
	case "2":
		$user_type_sql = "and visi_chat_is_mod = 2";
		break;
	case "3":
		$user_type_sql = "and visi_chat_is_mod = 3";
		break;
}

$sort = " A.".$id_field;

if($_GET["sort"] != "")
{
	switch($_GET["sort"])
	{
		case "access":
			$sort = "  B.visi_chat_is_mod";
		break;
		
		case "username":
			$sort = "  A.".$username_field;
		break;
		
		case "email":
			$sort = "  A.".$email_field;
		break;
		
		case "ip":
			$sort = "  B.visi_chat_user_ip";
		break;
		
		case "picture":
			$sort = "  ".$picture_field;
		break;
		
		case "verified":
			$sort = " B.visi_chat_email_verified";
		break;
		
		case "ban":
			$sort = "B.visi_chat_user_banned";
		break;
		
		case "credits":
			$sort = "  B.visi_chat_credits";
		break;
		
		case "online":
			$sort = " B.visi_chat_is_online";
		break;
	}
}

if ($_GET["sortby"] == "desc")
{
	$sort .= " desc";
}else{
	$sort .= " asc";	
}

if($_GET["q"]==""){
	$query1 = "select A.".$id_field.",A.".$username_field.",A.".$email_field.",B.visi_chat_user_ip,B.visi_chat_picture,B.visi_chat_is_mod,B.visi_chat_email_verified,B.visi_chat_user_banned,B.visi_chat_is_online, B.visi_chat_credits from ".$members_table." as A  inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id $user_type_sql order by ".$sort;
	$query2 = "select count(A.".$id_field.") as cid from ".$members_table." as A  inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id $user_type_sql";
}else{
    if(preg_match( "/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/", $_GET["q"])){
		$query1 = "select * from ".$members_table." as A inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where B.visi_chat_user_ip like '%".$db->escape_string($_GET["q"])."%' $user_type_sql order by ".$sort;
		$query2 = "select count(".$id_field.") as cid from ".$members_table." as A inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where B.visi_chat_user_ip like '%".$db->escape_string($_GET["q"])."%' $user_type_sql";
	}else{
		$query1 = "select * from ".$members_table." as A inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where (A.".$username_field." like'%".$db->escape_string($_GET["q"])."%' or A.".$email_field." ='".$db->escape_string($_GET["q"])."') $user_type_sql order by ".$sort;
		$query2 = "select count(".$id_field.") as cid from ".$members_table." as A inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id where (A.".$username_field." like '%".$db->escape_string($_GET["q"])."%'  or A.".$email_field." ='".$db->escape_string($_GET["q"])."') $user_type_sql";	
	}
}
$res = $db->run_query($query1,$page,$pagesize);

$res2 = $db->run_query($query2);
$row = $db->fetch_assoc($res2);
$db->free_result($res2);

$total_users = $row["cid"];
$total_pages = ceil($total_users/$pagesize);
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $setting->get("charset");?>" />
<title>Gchats Visichat Admin Menu: Users</title>
<link href="../images/style.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function check_confirm(){
	var res = confirm("Are you sure?");
	return res;
}
</script>
<style type="text/css">
<!--
#Layer2 {
	position:absolute;
	left:10%;
	top:50px;
	width:90%;
	height:10px;
	z-index:2;
}
-->
</style>
</head>

<body>  
<div id="Layer1" align="center" style="position:absolute;left:5;top:5;width:90;height:90;z-index:1;"><a href="menu.php"><img src="../images/return.jpg" width="54" height="54" border="0"><br>
</a><a href="menu.php" class="YellowText">Return...</a></div>
<div id="Layer2" align="center" class="whileText"><?php echo $result;?></div>
<br />
<br />
<br>
<br>
<br>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="TMain">
  <tr>
    <td width="2" height="18"><img src="../images/r1.gif" width="2" height="18" /></td>
    <td width="300" align="left" background="../images/r2.gif"><strong>&nbsp;&nbsp; Users Adminstration </strong></td>
    <td width="7"><img src="../images/r3.gif" /></td>
    <td background="../images/r4.gif">&nbsp;</td>
    <td width="2"><img src="../images/r5.gif" /></td>
  </tr>
</table>
<table width="100%" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td width="2" background="../images/r6.gif"></td>
    <td  align="left" valign="top" background="../images/bgdot.gif" class="TextBlack12">
	<form name="form1" method="get" action="users.php">
   
    <table width="760" border="0" align="center" class="TextBlack12">
      <tr>
        <td align="center" bgcolor="#284172" class="whileText"><strong>Find User: </strong></td>
        </tr>
      <tr>
        <td align="center" bgcolor="#FFFFFF">Keyword (IP addres, email, part of username):
          <input name="q" type="text" id="q" value="<?php echo $_GET["q"];?>">
          <select name="type">
          <option value="">-All users-</option>
          <option value="3" <?php  if($_GET["type"] == "3"){?> selected <?php }?>>Admin</option>
          <option value="1" <?php  if($_GET["type"] == "1"){?> selected <?php }?>>Moderator</option>
          <option value="2" <?php  if($_GET["type"] == "2"){?> selected <?php }?>>Premium</option>
          <option value="0" <?php if($_GET["type"] == "0"){?> selected <?php }?>>Members</option>
          </select>
            <input type="submit" name="Submit" value="Search"></td>
        </tr>
    </table> </form>
    <div style="text-align:center">Your search returned <b class="YellowText"><?php echo $total_users;?></b> results.</div>
    <div style="text-align:center">Total users credits: <b class="YellowText"><?php echo $total_credits;?></b>.</div>

      <br>
      <table width="95%" border="0" align="center" cellpadding="2" class="TextBlack12">
      <tr class="whileText">
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("id"); ?>" class="Links2">#</a></td>
        <td bgcolor="#284172"><a href="<?php echo sortLink("username"); ?>" class="Links2">Username</a></td>
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("access"); ?>" class="Links2">Access</a></td>
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("ip"); ?>" class="Links2">IP</a></td>
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("picture"); ?>" class="Links2">Picture</a></td>
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("email"); ?>" class="Links2">Email</a></td>
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("verified"); ?>" class="Links2">Verified</a></td>		
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("ban"); ?>" class="Links2">Ban</a></td>
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("online"); ?>" class="Links2">Online</a></td>
        <td align="center" bgcolor="#284172"><a href="<?php echo sortLink("credits"); ?>" class="Links2">Credits</a></td>
        <td align="center" bgcolor="#284172">Edit</td>
		<?php if($integrate == ""){?>
        <td align="center" bgcolor="#284172">Delete</td>
		<?php }?>
      </tr>
	  <?php
	  for($i=0;$i<$db->get_num_rows($res);$i++){
	    $row = $db->fetch_assoc($res,$i);
	  ?>
      <tr>
        <td align="center" bgcolor="#FFFFFF"><?php echo ((($page-1)*$pagesize)+($i+1));?></td>
        <td bgcolor="#FFFFFF"><a href="edit.php?u=<?php echo $row[$id_field];?>" class="Links4"><?php echo $row[$username_field]?></a></td>
        <td align="center" bgcolor="#FFFFFF">
		<?php 
		if($row["visi_chat_is_mod"]==1){
			showpic("moderator_icon.jpg");
		}
		if($row["visi_chat_is_mod"]==3){
			showpic("admin_icon.jpg");
		}
		if($row["visi_chat_is_mod"]==2){
			if($row["visi_chat_expire"]== 0 || $row["visi_chat_expire"]>time()){
				showpic("premium_icon.jpg");
			}
		}
		?></td>
        <td align="center" bgcolor="#FFFFFF"><a class="Links4" href="?q=<?php safe_write($row["visi_chat_user_ip"]);?>"><?php safe_write($row["visi_chat_user_ip"]);?></a></td>
        <td align="center" bgcolor="#FFFFFF"><?php if($row[$picture_field] != ""){showpic("picture.jpg");}?></td>
        <td align="center" bgcolor="#FFFFFF"><a class="Links4" href="?q=<?php safe_write($row[$email_field]);?>"><?php safe_write($row[$email_field]);?></a></td>
        <td align="center" bgcolor="#FFFFFF"><?php if($row["visi_chat_email_verified"]==1){showpic("yes.jpg");}else{showpic("no.jpg");}?></td>
        <td align="center" bgcolor="#FFFFFF"><?php if($row["visi_chat_user_banned"]==1){showpic("yes.jpg");}else{if($row["visi_chat_timely_ban"]>time()){showpic("timely.jpg");}else{showpic("no.jpg");}}?></td>
        <td align="center" bgcolor="#FFFFFF"><?php if($row["visi_chat_is_online"]==1){showpic("yes.jpg");}else{showpic("no.jpg");}?></td>
        <td align="center" bgcolor="#FFFFFF"><?php echo $row["visi_chat_credits"]; ?></td>
        <td align="center" bgcolor="#FFFFFF"><a href="edit.php?u=<?php echo $row[$id_field];?>" class="Links4">Edit</a></td>
		<?php if($integrate == ""){?>
        <td align="center" bgcolor="#FFFFFF"><a href="users.php?ac=d&u=<?php echo $row[$id_field];?>" onClick="return check_confirm();" class="Links4">Delete</a></td>
		<?php }?>
      </tr>
	  <?php }?>
    </table>
    
	<?php if($total_pages>1){?>
    <table width="95%" border="0" align="center" class="whileText">
      <tr>
        <td bgcolor="#284172">
		<a href="users.php?q=<?php $_GET["q"];?>&type=<?php echo $_GET["type"];?>" class='Links1'>First Page</a>
		&nbsp;&nbsp;
		 <?php 
		 $start = $page-10;
		 if($start<1){$start=1;}
		 $end = $page+10;
		 if($end>$total_pages){$end=$total_pages;}
		 if($start>1){?> &nbsp;...&nbsp; <?php }
		 for($i=$start;$i<=$end;$i++){
		if($i==$page){
			echo "&nbsp;".$i."&nbsp;";
		}else{
			echo "&nbsp;<a href='users.php?q=".$_GET["q"]."&page=".$i."&type=".$_GET["type"]."' class='Links1'>".$i."</a>&nbsp;";
		}
		
		 }?>
		 <?php if($end<$total_pages){?> &nbsp;...&nbsp; <?php }?>
		&nbsp;&nbsp;
		 <a href="users.php?page=<?php echo $total_pages;?>&q=<?php $_GET["q"];?>&type=<?php echo $_GET["type"];?>" class='Links1'>Last Page</a> 
		</td>
      </tr>
    </table>
	<?php }?>
	<br>
	<br>
	<img src="../images/eye.png" width="24" height="14" align="absmiddle" style="background-color:#FFFFFF"> Indicates users, who can view webcam without permission. </td>
    <td width="2" background="../images/r7.gif"></td>
  </tr>
</table><table width="100%"  height="2" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="2" height="2"><img src="../images/r8.gif" width="2" height="2" /></td>
    <td style="background-image:url(../images/r9.gif); font-size:1px;">&nbsp;</td>
    <td height="2" width="2"><img src="../images/r10.gif" /></td>
  </tr>
</table>
</body>
</html>
<?php

function sortLink($sorting)
{
	if($_GET["sortby"] == "asc" && $_GET["sort"] == $sorting)
	{
		return "?sort=".$sorting."&sortby=desc";	
	}
	return "?sort=".$sorting."&sortby=asc";
}
?>