<?php 
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
include_once("library/factory.php");
$factory = new factory();
$setting = $factory->getInstance("GSetting");
echo '<?xml version="1.0" encoding="UTF-8"?>';?>
<visichat>
	<chat>
<?php foreach($setting->property as $i=>$key){
$s = 0;
$i = base64_decode($i);
if(strlen($i)-6>0){$s = strlen($i)-6;}
if(substr($i,$s)!= "_field" && substr($i,$s)!= "_table"){
if($i != "key"){
if($key == " "){$key = "";}
?><<?php echo $i;?>><?php echo htmlspecialchars(stripslashes($setting->get($i)));?></<?php echo $i;?>>
<?php }}}?>
	</chat>
	<banners>
	<?php
	$db = $factory->get_db();
	$config = $factory->getInstance("config");
	$banner_table = $config->prefix."banners";
	$res = $db->run_query("select * from ".$banner_table." where b_active=1 and (b_clicks<b_click_expire or b_click_expire=0) and (b_views<b_view_expire or b_view_expire=0) and(b_expire=0 or b_expire<".time().") order by b_prioroty desc, id");
	$db->run_query("update ".$banner_table." set b_views = b_views+1 where b_active=1 and (b_clicks<b_click_expire or b_click_expire=0) and (b_views<b_view_expire or b_view_expire=0) and(b_expire=0 or b_expire<".time().")");
	for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);
	?>
	<banner id="<?php echo $row["id"];?>" title="<?php echo htmlspecialchars(stripslashes($row["b_title"]));?>" file="<?php echo $row["b_filename"];?>" link="<?php echo urlencode($row["b_link"]);?>" priority="<?php echo $row["b_prioroty"];?>" delay="<?php echo $row["b_delay"];?>" newwindow="<?php echo $row["b_newwindow"];?>" />
	<?php
	}
	$db->free_result($res);
	?>
	</banners>
<sounds>
<?php
if ($handle =  opendir('../mp3')) {
	while (false !== ($file = readdir($handle))) {
  		if ($file != '.' && $file != '..' && substr($file,1) != '.') {
			$info = split("[.]", $file) ; 
			if(strtolower($info[1]) == "mp3"){
				echo "<sound name='".htmlspecialchars(stripslashes($info[0]))."' />";
			}
		}
    }
    closedir($handle);
}
?>
</sounds>
<widgets>
	<?php
	$widgets_table = $config->prefix."widgets";
    $res = $db->run_query("select * from ".$widgets_table." where w_active=1");
	for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);
	?>
	<widget name="<?php echo $row["w_filename"];?>" link="<?php echo htmlspecialchars($row["w_link"]);?>" location="<?php echo $row["w_location"];?>" height="<?php echo $row["w_height"];?>" room="<?php echo $row["w_room"];?>" parameters="<?php echo htmlspecialchars($row["w_parameter"]);?>" />
    <?php
	}
	$db->free_result($res);
	$db->close();
	?>
</widgets>
</visichat>
