<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
error_reporting(0);
include_once("library/factory.php");

// Get posted values

$username = trim($_POST["username"]);
$password = $_POST["password"];
$email = trim($_POST["email"]);


// Verify Data
if($username == "" || strlen($username)<4 || strlen($username)>30 || preg_match('|[\\\:*?<>\|\/\[\]{}()%\^&!@$\'"`~,]|', $username) >0 ){
	die("&result=invalid_user&load=ok");
}
if(substr($username,0,1) == "-" || substr($username,0,1) == "_"){
	die("&result=invalid_user&load=ok");
}

// if more than 3 _ or - in the username
if(preg_match_all('/[-_]/', $username, $matches, PREG_OFFSET_CAPTURE) >3){
	die("&result=invalid_user&load=ok");
}

if($username == "_root" || $username == "_parent" || $username == "undefined"){
	die("&result=invalid_user&load=ok");
}

if($password == ""){
	die("&result=passwordreq&load=ok");
}
if($email == "" || preg_match('/^[A-Z0-9_-][A-Z0-9._-]*@([A-Z0-9][A-Z0-9-]*\.)+[A-Z]{2,6}$/i',$email) ==0){
	die("&result=invalid_email&load=ok");
}

if(substr($email, -9) == "yahoo.com" ||substr($email, -9) == "ymail.com" || substr($email, -14) == "rocketmail.com" ||substr($email, -8) == "yahoo.in" ||substr($email, -11) == "yahoo.co.uk" || substr($email, -11) == "hotmail.com" ||substr($email, -13) == "hotmail.co.uk" || substr($email, -10) == "hotmail.de" ||substr($email, -10) == "hotmail.ca" ||substr($email, -8) == "live.com" ||substr($email, -7) == "live.fr" ||substr($email, -10) == "live.co.uk" ||substr($email, -7) == "live.ca" ||substr($email, -11) == "live.com.pk" ||substr($email, -14) == "hotmail.com.pk" ||substr($email, -9) == "gmail.com"){
$aa = "1";
}

if ($aa != "1"){

	die("&result=invalid_email&load=ok");
}

// Create classes and get instances

$factory 	= new factory();
$config		= $factory->getInstance("config");
$db 		= $factory->get_db();
$setting 	= $factory->getInstance("GSetting");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$email_field = $setting->get("email_field");
$integrate = $setting->get("integrate");
if($integrate != ""){
	echo "&result=registration_disabled&load=ok";
	$db->close();
	exit();
}

if($setting->get("register") == "no")
{
	echo "&result=registration_disabled&load=ok";
	$db->close();
	exit();
}


// Check blocked hosts
$hostname = @gethostbyaddr($_SERVER['REMOTE_ADDR']);
$res = $db->run_query("select * from ".$config->prefix."banip where ip='".$db->escape_string($hostname)."' and bantype=2");
if($db->get_num_rows($res)>0){
	echo "&result=chat_access_denied";
	$db->free_result($res);
	exit();
}
$db->free_result($res);

// Check blocked ip address which using a proxy
if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])) {
	$ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
	$res = $db->run_query("select * from ".$config->prefix."banip where ip='".$db->escape_string($ip)."'");
	if($db->get_num_rows($res)>0){
		echo "&result=chat_access_denied";
		$db->free_result($res);
		exit();
	}
	$db->free_result($res);
}

// Check blocked ip addresses
$ip = $_SERVER['REMOTE_ADDR'];
$res = $db->run_query("select * from ".$config->prefix."banip where ip='".$db->escape_string($ip)."'");
if($db->get_num_rows($res)>0){
	echo "&result=chat_access_denied";
	$db->free_result($res);
	exit();
}
$db->free_result($res);


// Check for username availablity

$res = $db->run_query("select * from ".$members_table." where ".$username_field."='".$db->escape_string($username)."'");
if($db->get_num_rows($res)>0){
	echo "&result=already_taken&load=ok";
	$db->free_result($res);
	$db->close();
	exit();
}
$db->free_result($res);

// Check email
$res = $db->run_query("select * from ".$members_table." where ".$email_field."='".$db->escape_string($email)."'");
if($db->get_num_rows($res)>0){
	echo "&result=email_taken&load=ok";
	$db->free_result($res);
	$db->close();
	exit();
}
$db->free_result($res);

// Check ip dupliicate
if($setting->get("allow_dulplicate_ip_register") == "no"){
	$res = $db->run_query("select * from ".$members_info_table." where visi_chat_user_ip='".$db->escape_string($_SERVER['REMOTE_ADDR'])."'");
	if($db->get_num_rows($res)>0){
		echo "&result=duplicate_ip_registeration&load=ok";
		$db->free_result($res);
		$db->close();
		exit();
	}
	$db->free_result($res);
}

// Register

if($setting->get("pass_encrypt") == "md5"){
	$password = md5($password);
}
$code = rand(11111111,99999999);
if($setting->get("email_activation") == "yes"){
	$break = "\r\n";
	$headers = 'From: '.$setting->get("website_email");
	$email_message = 'Dear '.$username.','.$break.$break.'Thank you for registering with '.$setting->get("website_title").'.'.$break.'Your registration now requires activation before you can use '.$setting->get("website_title").'.'.$break.'Enter your personal activation code in the Visichat box to activate your account.'.$break.$break.'Your username: '.$username.$break.'Your password: '.$_POST["password"].$break.'Your activation code: '.$code.$break.$break.'Respectfully,'.$break.$setting->get("website_title");
	mail($email,$setting->get("website_title")." Account activation",$email_message,$headers);
}
$db->run_query("insert into ".$members_table." (".$username_field.",".$password_field.",".$email_field.") values ('".$db->escape_string($username)."','".$db->escape_string($password)."','".$db->escape_string($email)."')");

$res = $db->run_query("select * from ".$members_table." where ".$username_field."='".$db->escape_string($username)."'");
if($db->get_num_rows($res)>0){
	$row = $db->fetch_assoc($res);
	$db->run_query("delete from ".$members_info_table." where visi_chat_user_id=".$db->escape_string($row[$id_field]));
	$db->run_query("insert into ".$members_info_table." (visi_chat_user_id,visi_chat_user_ip,visi_chat_gender,visi_chat_email_code,visi_chat_signup_time,visi_chat_login_time,visi_chat_user_banned,visi_chat_is_online,visi_chat_timely_ban,visi_chat_is_mod,visi_chat_allow_private) values(".$db->escape_string($row[$id_field]).",'".$db->escape_string($_SERVER['REMOTE_ADDR'])."','n','".$db->escape_string($code)."',".time().",0,0,0,0,0,1)");
}
$db->free_result($res);
$db->close();
echo "&result=ok&load=ok";
?>