<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/

/*
 * 
 *  Use <script language="javascript" src="VisichatPATH/stats.php"></script> in your page
 *
 */
 $adminColor = "#FF0000"; 
$modColor	= "#FF6600";
$premiumColor = "#9966CC";
$userColor	= "#0000FF";

$number_of_users = 50;
include_once("library/factory.php");

// Get posted values

$factory 	= new factory();
$db 		= $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$username_field = $setting->get("username_field");
$password_field = $setting->get("password_field");
$email_field = $setting->get("email_field");
$picture_field = $setting->get("picture_field");

$bgcolor = $setting->get("styles_avatars_border_bg");
if($bgcolor == ""){
	$bgcolor = "#202020";	
}


$visichatURL = "http://".$_SERVER["HTTP_HOST"].substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-21);


$res = $db->run_query("select * from ".$members_table." as A inner join ".$members_info_table." as B on A.".$id_field."=B.visi_chat_user_id order by B.visi_chat_rate desc,B.visi_chat_votes desc",1,$number_of_users);
$userCount = $db->get_num_rows($res);
?>
document.write('<style type="text/css">.votes{background-color:<?php echo $bgcolor;?>;color:#FFFFFF;padding:10px;width:100px;height:140px;display:block;float:left;margin:5px; overflow:hidden; text-align:center;}</style>');
document.write('<style type="text/css">.rate{color:#FFFFFF;padding:10px; text-align:left;;width:100px;}</style>');
document.write('<table border="0" style="background-color:#FFFFCC; border-color:#FFFF66; border-style:dotted; border-width:1px; padding:5px; color:#000000; font-family:Arial, Helvetica, sans-serif; font-size:12px;"><tr><td>');


<?php
for($i=0;$i<$userCount;$i++){
$row = $db->fetch_assoc($res,$i);
$user = $row[$username_field];
if($row["visi_chat_is_mod"] ==1 || $row["visi_chat_is_mod"] ==3){
	if($row["visi_chat_is_mod"] ==1){
		$color =$adminColor;
	}else{
		$color =$modColor;
	}
	$user = " ".$user."*";
}else{
	$color =$userColor;
	$user = " ".$user." ";
	if($row["visi_chat_is_mod"]=="2" && ($row["visi_chat_expire"]>time() || $row["visi_chat_expire"]=="0")){
		$color = $premiumColor;
	}
}


?>
document.write('<span class="votes"><b style="color:<?php echo $color;?>"><?php echo $user;?></b>');
document.write('<img src="<?php echo $visichatURL.getPicture($row[$picture_field]);?>" width="80px" height="80px"  />');
document.write('<div class="rate">Votes: <b><?php echo $row["visi_chat_votes"];?></b><br />Rating: <b><?php echo $row["visi_chat_rate"];?></b>');
document.write('</div></span>');

<?php
}
$db->free_result($res); 
$db->close(); 

function getPicture($pic){

	if(substr($pic,0,7) == "avatars"){
		return "images/nopicc.jpg";
	}
	if($pic == ""){
		return "images/nopicc.jpg";
	}
	return "members/".$pic;

}

?>


document.write("</td></tr></table>");
